#include <dic.h>

char str[80];
char str_res[10][80];
char client_str[80];
int no_link = -1;
float no_link_float = -1.0;
char buff[80];

typedef struct {
	int i;
	int j;
	int k;
	double d;
	short s;
        char c;
	short t;
	float f;
	char str[20];
}TT;

TT t;

void rout( tag, buf, size )
char *buf;
int *tag, *size;
{

	if(*tag == 11)
	{
		printf("Received ONCE_ONLY : %s\n",buff);
		return;
	}
	if(*tag == 10)
	{
		char node[128];
		dim_get_dns_node(node);
		printf("DNS node = %s\n",node);
		printf("size = %d\n",*size);
		memcpy(&t, buf, *size);
		printf("t.i = %d, t.d = %2.2f, t.s = %d, t.c = %c, t.f = %2.2f, t.str = %s\n",
			t.i,t.d,t.s,t.c,t.f,t.str);
		return;
	}
	else
		printf("%s Received %s for Service%03d\n",client_str,buf, *tag);
}


main(argc,argv)
int argc;
char **argv;
{
	int i, *ptr;
	char aux[80];
	int id = 123;

/*
	dic_set_debug_on();
*/
/*
	dim_set_dns_node("lxplus059.cern.ch");
*/
	sprintf(str,"%s/SET_EXIT_HANDLER",argv[2]);
	dic_cmnd_service(str, &id, 4);
	dic_get_id(aux);
	printf("%s\n",aux);
	strcpy(client_str,argv[1]);

/*
	dic_set_debug_on();
*/

	for(i = 0; i< 10; i++)
	{
		sprintf(str,"%s/Service_%03d",argv[2],i);
		dic_info_service( str, TIMED, 10, 0, 0, rout, i,
			  "No Link", 8 );
	}
	
	sprintf(aux,"%s/TEST_SWAP",argv[2]);
	dic_info_service( aux, TIMED, 5, 0, 0, rout, 10,
			  &no_link, 4 );
	

	sprintf(aux,"%s/TEST_CMD",argv[2]);
	{
	int cmnd = 1;
	dic_cmnd_service("data/Update",&cmnd,sizeof(cmnd));
	}
	while(1)
	{
		sleep(10);
		printf("Sending Command, size = %d\n",sizeof(t));
		dic_cmnd_service(aux,&t,sizeof(t));
	}
}
