//-----------------------------------------------------------------------
//                         SMIObject  Class
//                                                 B. Franek
//                                                 21 March 1999
// Copyright Information:
//      Copyright (C) 1999/2000 CCLRC. All Rights Reserved.
//-----------------------------------------------------------------------
//
#ifndef SMIOBJECT_HH
#define SMIOBJECT_HH
#include <fstream.h>
#include "smlunit.hxx"
#include "name.hxx"
#include "smllinevector.hxx"
#include "namevector.hxx"
#include "registrar.hxx"
#include "attributeblock.hxx"
#include "parameterblock.hxx"
#include "state.hxx"

class  SMIObject : public SMLUnit {

	public :

		SMIObject 
			( const Name&, int cl, int assoc);

		virtual ~SMIObject();

		virtual void translate();

		virtual void outSobj(ofstream& sobj) const;

	protected :

		int _class, _associated;
		Name _isOfClass;

		AttributeBlock* _pAttributeBlock;

		ParameterBlock* _pParameterBlock;

		Registrar _states;

};
#endif
