#ifdef VMS
#include "delphi$online:[smixx.rtl]smirtl.h"
#endif

#include "../../rtl/smirtl.h"

#define MAXNAME 32
#include <string.h>

  static char master_key[] = "NOT DEFINED";
  static char label[] = "SIMPLE LIFT";
  static int no_of_passangers = 0;
  static double hv = 0.0; 
main(argc, argv)
int argc;
char **argv[];
{

	static char proxy_name[MAXNAME+1] = "LIFTA";
        char domain[MAXNAME+1];
        char proxy_fullname[2*MAXNAME+2+1];
	void handle_command();

/* read the domain name from the command line */
	sprintf(domain,"%s",argv[1]);

/* form full name of the proxy ; format :   'domain-name'::'proxy-name' */

        strcpy(proxy_fullname,domain);
        strcat(proxy_fullname,"::");
        strcat(proxy_fullname,proxy_name);

/* the following call will attach the proxy to the mirror( associated) object 
   in the SMI domain;  handle_command is call-back routine that is called
   every time a SMI command arrives  */

	smi_attach(proxy_fullname, handle_command); 

/* determine and then set the initial state of the proxy by 
   the following call: */ 
/******  the initial state could (should?) be supplied in smi_attach    ****/

        smi_set_par("MASTER_KEY",master_key,0);
        smi_set_par("LABEL",label,0);
        smi_set_par("NO_OF_PASSANGERS",&no_of_passangers,1);
        smi_set_par("HIGH_VOLTAGE",&hv,2);
	smi_set_state("POWERED_DOWN");

	while(1)
	{
		pause();
	}
}

void handle_command()
{
        char state[MAXNAME+1];
        char action[MAXNAME+1];
        int noOfParameters,type,size;
        char par[MAXNAME+1];
        char value[133];
        double valuef;
        int valuei;      


        smi_get_state(state,MAXNAME);
        printf("\n  My current state is :%s \n",state);


        smi_get_action(action,&noOfParameters);        
	printf("SMI command  action name = %s\n",action);
        printf(" No. of parameters = %d\n",noOfParameters);


/**********  does not work *****************/
        if (smi_get_par_value("PASSANGER_LIST",value)) {
           printf("  Value of PASSANGER_LIST = %s\n",value);}
        if (smi_get_par_value("RATE",value)) {
            printf("  Value of RATE = %s\n",value);}
/*************************************************/



        noOfParameters = 0;
	while(smi_get_next_par(par,&type,&size))
	{
                noOfParameters++;
		printf("%s %d %d\n",par,type,size);
                if ( type == 0 ) {
                   smi_get_par_value(par,value);
                   printf("  Value of %s = %s\n",par,value);
                }
                else if ( type == 1 ) {
                   smi_get_par_value(par,&valuei);
                   printf("  Value of %s = %d\n",par,valuei);
                }
                else if ( type == 2 ) {
                   smi_get_par_value(par,&valuef);
                   printf("  Value of %s = %e\n",par,valuef);
                }
                else {
                   printf(" Unknown type\n");
                }
	}
        printf(" No of parameters = %d\n",noOfParameters);
        
/**********  does not work *****************/
        if ( smi_get_par_value("FILEA",value)) {
             printf(" 1) Value of FILEA = %s\n",value);}
/*************************************************/


	if(smi_test_action("GO_TO_THE_TOP"))
	{
                no_of_passangers = 0;
                smi_set_par("NO_OF_PASSANGERS",&no_of_passangers,1);
        	smi_terminate_action("AT_THE_TOP");
	}
	else if(smi_test_action("POWER_DOWN"))
	{
                no_of_passangers = 0;
                hv = 0.0;
                smi_set_par("NO_OF_PASSANGERS",&no_of_passangers,1);
                smi_set_par("HIGH_VOLTAGE",&hv,2);
         	smi_terminate_action("POWERED_DOWN");

	}
	else if(smi_test_action("GO_TO_THE_BOTTOM"))
	{
                no_of_passangers = 5;
                hv = 220.0;
                smi_set_par("NO_OF_PASSANGERS",&no_of_passangers,1);
                smi_set_par("HIGH_VOLTAGE",&hv,2);
        	smi_terminate_action("AT_THE_BOTTOM");
	}
	else if(smi_test_action("SOS"))
   	{
        	smi_terminate_action("AT_THE_BOTTOM");
	}
	else if(smi_test_action("POWER_UP"))
	{
                no_of_passangers = 5;
                hv = 220.0;
                smi_set_par("NO_OF_PASSANGERS",&no_of_passangers,1);
                smi_set_par("HIGH_VOLTAGE",&hv,2);
        	smi_terminate_action("AT_THE_BOTTOM");
	}
        else if(smi_test_action("CALC_MASTER_KEY") ) {
                printf(" Will calculate the master key ");
                if ( smi_get_par_value("PRIMKEY",value)) {
                    printf(" Value of Primary key = %s\n",value);
                    if (!strcmp(value,"1") ) { strcpy(master_key,"11111");}
                    if (!strcmp(value,"2") ) { strcpy(master_key,"22222");}
                    if (!strcmp(value,"3") ) { strcpy(master_key,"33333");}
                    smi_set_par("MASTER_KEY",master_key,0);
               }
                else {
                    printf(" Primary key not present");
                }
        	smi_terminate_action("POWERED_DOWN");
        }
	else if(smi_test_action("COMMIT_SUICIDE"))
	{
 	        exit(1);

	}
        else {
                no_of_passangers = 0;
                hv = 0.0;
                smi_set_par("NO_OF_PASSANGERS",&no_of_passangers,1);
                smi_set_par("HIGH_VOLTAGE",&hv,2);
         	smi_terminate_action("POWERED_DOWN");
             smi_terminate_action("POWERED_DOWN");
        }
/*


	smi_terminate_action("STUCK");


*/
}
