#include <smirtl.h>

/* States */
void setNOT_LOGGING() {smi_set_state("NOT_LOGGING");};
void setLOGGING() {smi_set_state("LOGGING");};
void setWRITING() {smi_set_state("WRITING");};

/* Object Parameters */

/* Command Handler */
void handle_command()
{
	void LOG();
	void NOLOG();
	void X_OPEN_FILE();
	void X_CLOSE_FILE();

	if(smi_test_action("LOG"))
	{
		LOG();
	}
	else if(smi_test_action("NOLOG"))
	{
		NOLOG();
	}
	else if(smi_test_action("X_OPEN_FILE"))
	{
		X_OPEN_FILE();
	}
	else if(smi_test_action("X_CLOSE_FILE"))
	{
		X_CLOSE_FILE();
	}
}

/* Main Program */
main(argc, argv)
int argc;
char **argv[];
{

	char proxy_name[64];
	void handle_command();
	sprintf(proxy_name,"%s::LOGGER",argv[1]);
	smi_attach(proxy_name, handle_command);
/*	setNOT_LOGGING() */

	while(1)
	{
		pause();
	}
}


/* Action LOG User code */
void LOG()
{
/*	setXXX();*/
}


/* Action NOLOG User code */
void NOLOG()
{
/*	setXXX();*/
}


/* Action X_OPEN_FILE User code */
void X_OPEN_FILE()
{
/*	setXXX();*/
}


/* Action X_CLOSE_FILE User code */
void X_CLOSE_FILE()
{
/*	setXXX();*/
}

