#include <unistd.h>
#include "hv.hh"

class HV: public HVProxy
{
protected :
// Actions
	virtual void RAMP_UP();
	virtual void RAMP_DOWN();
public:
// Constructors
	HV(char *domain): HVProxy(domain) { };
};

void HV::RAMP_UP()
{
//	User code for action RAMP_UP
	setON();
}

void HV::RAMP_DOWN()
{
//	User code for action RAMP_DOWN
	setOFF();
}

int main(int argc, char *argv[])
{

	HV hv(argv[1]);
	hv.setOFF();
	while(1)
	{
		pause();
	}
}

