       integer function get_element(dest_string,elm_num
     &                             ,delimiter,source_string)
* This should behave in a similar fashion as VMS STR$ELEMENT

       implicit none

       character*(*) dest_string,delimiter,source_string
       integer elm_num

       integer ln_dest_string,ln_delimiter,ln_source_string

       integer ie,istart,iend


       ln_dest_string = len(dest_string)
       ln_delimiter = len(delimiter)
       ln_source_string = len(source_string)

       if(ln_dest_string   .le. 0 .or.
     &    ln_delimiter     .le. 0 .or.
     &    ln_source_string .le. 0      ) then
          get_element = 4                          ! illegal input
          return
       endif 


       istart = 1
       do ie = 0,elm_num
         iend = index(source_string(istart:),delimiter)

         if( ie .eq. elm_num) then

           if(iend .le. 0) then
              iend = ln_source_string
           else
              iend = istart + iend - 2
           endif

           if( (iend-istart+1) .gt. ln_dest_string) then
              get_element = 6              ! element too long for destination string
              return
           endif

           dest_string = source_string(istart:iend)
           get_element = 1
           return
         else

           if(iend .le. 0) then
             get_element = 2              ! element not found
             return
           endif

           istart = istart + iend + (ln_delimiter-1)
         endif

       enddo

       get_element = 10
       return
       end
