      subroutine proc_object_line(linenum,line,object_nm,
     &      mx_atributes,n_atributes,atributes,associated,
     &      class_member,class_name)

      implicit none
      integer linenum

      character*(*) line
      integer nc_line,ioc

      character*32 object_nm

      integer mx_atributes,n_atributes

      character*32 atributes(mx_atributes)
      integer class_member
      character*32 class_name

      integer associated

      integer iat

      character*132 first_part,second_part
      integer nc1,nc2

      integer get_token,get_atributes,next

      object_nm = ' '
      class_name = ' '

        n_atributes = 0

      nc_line = len(line)

      ioc = index(line(1:nc_line),' IS_OF_CLASS ')

      if (ioc .ne. 0) then
*-------------------------  Object is of class ----------------------------
        class_member = 1
        first_part = line(1:ioc-1)
        nc1 = ioc-1
        second_part = line(ioc+13:nc_line)
        nc2 = nc_line -ioc-13+1
        call squeeze(first_part,first_part(1:nc1),nc1)
        call squeeze(second_part,second_part(1:nc2),nc2)


        object_nm = first_part(8:nc1)

        if( get_token
     &     (second_part(1:nc2),'/',class_name,next) .ne. 1) then
             write(6,
     &       '(///'' Error  Line : '',i5//)')
     &         linenum
               write(6,'('' Class name is too big '')')
               call exit(2)
        endif                
        if(next .gt. 0) then
           if( get_atributes
     &      (second_part(next:nc2),mx_atributes,n_atributes,atributes)
     &      .ne. 1) then
             write(6,
     &       '(///'' Error  Line : '',i5//)')
     &         linenum
               write(6,'('' Extraction of atributes fails '')')
               call exit(2)
           endif   
        endif
 

      else
*--------------------------------- Simple object -----------------------------
        class_member = 0
        call squeeze(line,line(1:nc_line),nc_line)

        if( get_token
     &      (line(8:nc_line),'/',object_nm,next) .ne. 1) then
             write(6,
     &       '(///'' Error  Line : '',i5//)')
     &       linenum
             write(6,'('' Object name is too big '')')
             call exit(2)
        endif                
        if(next .gt. 0) then
           if( get_atributes
     &      (line(next+7:nc_line)
     &       ,mx_atributes,n_atributes,atributes)
     &      .ne. 1) then
             write(6,
     &       '(///'' Error  Line : '',i5//)')
     &         linenum
               write(6,'('' Extraction of atributes fails '')')
               call exit(2)
           endif
        endif
* check if the object is associated

        associated = 0
        if(n_atributes .gt. 0) then
           do iat = 1,n_atributes
              if(atributes(iat)(1:10) .eq. 'ASSOCIATED') associated = 1
           enddo
        endif

      endif

      return

      end
