      subroutine process_do(n_lines,lines,nc,line_num,il,last_il)
!-------------------------------------------------------------------------
!
!                                                        Author : B. Franek
!                                                        Date : Aug-1996
!---------------------------------------------------------------------------
      implicit none
 
      integer n_lines,nc(1),line_num(1)
      character*(*) lines(1)
 
      integer il,last_il

      integer lnline
      character*133 line

      character*32 object,action
      integer ln_action,ln_object

      integer ibrack , ist, iend,ibrack2

      character*2000 parameters       ! parameter string i.e. p1=v1,p2=v2  atd
      integer ln_parameters,npar

      integer ip,lnp,lnl

      integer max_par
      parameter (max_par = 10)
      character*6 par_type(max_par)
      character*32 par_name(max_par)
      character*80 par_val(max_par)

      lnline = nc(il)
      line = lines(il)

      object = ' '
      action = ' '


      write(2,'(''do'')') 

      ist = index(line(1:lnline),'DO') + 3  ! start of action name

!--- check if the action has parameters  (the opening bracket has to be on
!--- the same line

      ibrack = index(line(1:lnline),'(')

      if( ibrack .eq. 0 ) then
!---------------- No parameters.... everything has to be on the same line
         iend = index(line(ist:lnline),' ') - 1 + ist - 1

         ln_action = iend-ist+1
         if ( ln_action .gt. len(action) .or. ln_action .le. 0) then
           write(6,
     &     '(1x,'' Error:  Line : '',i5,'' Long action name'')')
     &     line_num(il)
           write(6,'(a)') line(1:lnline)
           call exit(2)
         endif

         action = line(ist:iend)
         npar = 0
         write(2,'(a/i5)') action(1:ln_action),npar

         object = line(iend+2:lnline)
         ln_object = lnline - iend - 1           
         if ( ln_object .gt. len(object) .or. ln_object .le. 0) then
           write(6,
     &     '(1x,'' Error:  Line : '',i5,'' Long object name'')')
     &     line_num(il)
           write(6,'(a)') line(1:lnline)
           call exit(2)
         endif
         write(2,'(a)') object(1:ln_object)          

         write(80,'('' do '',a,1x,a)') action(1:ln_action)
     &                                ,object(1:ln_object)          
         last_il = il
         return
      endif


****************** There are action parameters ************************
*
      iend = ibrack - 1
      if(line(iend:iend) .eq. ' ') iend = iend -1

      ln_action = iend-ist+1
      if ( ln_action .gt. len(action) .or. ln_action .le. 0) then
         write(6,
     &     '(1x,'' Error:  Line : '',i5,'' Long action name'')')
     &     line_num(il)
           write(6,'(a)') line(1:lnline)
           call exit(2)
      endif

      action = line(ist:iend)

      call get_paramstring(n_lines,lines,nc,line_num,il,ibrack,
     &                       parameters,last_il,ibrack2) 



      if (parameters(1:1) .eq. '"' ) then    
!----------------- old format--------------
*         ("/par1="logname1,"/par2=value",....)
             call squeeze(parameters,parameters
     &              ,ln_parameters)

            call get_parameters_olddo(parameters(1:ln_parameters),
     &               line_num(il),max_par,npar,par_name,par_val)
      else
           call str_trim(parameters,ln_parameters)
           call get_parameters(parameters(1:ln_parameters),
     &               line_num(il),max_par,npar,
     &               par_type,par_name,par_val)
      endif

      write(2,'(a/i5)') action(1:ln_action),npar

      do ip = 1,npar
         call str_trim(par_name(ip),lnp)
         call str_trim(par_val(ip),lnl)
         if ( lnl .le. 0) then
             write(6,
     &       '(1x,'' Error:  Line : '',i5)') line_num(il)
          write(6,'('' Parameters in do instr. have to have values'')')
         endif
         write(2,'(a/a)') par_name(ip)(1:lnp),par_val(ip)(1:lnl)
      enddo
!-------------------------------------------

      object = lines(last_il)(ibrack2+2:nc(last_il))
      ln_object = nc(last_il) - ibrack2 - 1
      if ( ln_object .gt. len(object) .or. ln_object .le. 0) then
           write(6,
     &     '(1x,'' Error:  Line : '',i5,'' Long object name'')')
     &     line_num(il)
           write(6,'(a)') line(1:lnline)
           call exit(2)
      endif
      write(2,'(a)') object(1:ln_object)          

      write(80,'('' do '',a,1x,a)') action(1:ln_action)
     &                                ,object(1:ln_object)          

      return
      end
