      subroutine process_param(max_il,lines,nc,line_num
     &                        ,first_il,last_il)

      implicit none
      integer max_il
      integer nc(1)
      integer line_num(1)
      character*(*) lines(1)

      integer first_il,last_il

      integer il
      integer ist
      integer pdel,status,get_token1

      character*133 line,token
      integer nc_line,nc_token

      integer pequ
      character*133 pname,pval
      integer nc_pname,nc_pval,nc_type
      character*6 type
      integer ibeg
*---------------------------------------------------------------------------
      il=first_il

      line = lines(il)
      nc_line = nc(il)

      status = get_token1(line(1:nc_line),':',token,pdel)
      if(  status .ne. 1 .or. token(1:10) .ne. 'PARAMETERS' ) then
         write(6,'('' Error  Line :'',i5)') line_num(il)
         write(6,'('' Expecting Parameters: and found '',a)')
     &        line(1:nc_line)
         call exit(2)
      endif
*
* It is a line starting with Parameters:
*
      write(2,'(''*PARAMETERS'')')
      write(80,'('' Object parameters line : '',i5)') 
     &                                   line_num(first_il)

      ist = pdel+1
      
      do while (.true.) 
        if (  ist .gt. nc_line .or. 
     &       (ist .eq. nc_line .and. line(ist:ist) .eq. ' ') 
     &     )  then
           il=il+1
           if( il .gt. max_il) then
              write(6,'('' Error processing parameters..no end'')')
              call exit(2)
           endif
           line = lines(il)
           nc_line = nc(il)
           ist = 1
        endif
        status = get_token1(line(ist:nc_line),',',token,pdel)
        if (  status .ne. 1) then
            write(6,'('' Error  Line :'',i5)') line_num(il)
            write(6,'('' Processing parameters '',a)')
     &           line(1:nc_line)
            call exit(2)
        endif
        call str_trim(token,nc_token)
*        write(80,'('' token :'',a)') token(1:nc_token) 

        if ( token(1:3) .eq. 'INT' ) then
            type = 'INT'
            ibeg = 5
            nc_type = 3
        elseif ( token(1:5) .eq. 'FLOAT' ) then
            type = 'FLOAT'
            ibeg = 7
            nc_type = 5
        else
            type ='STRING'
            ibeg = 1
            nc_type = 6
        endif

        status = get_token1(token(ibeg:nc_token),'=',pname,pequ)
        if ( status .ne. 1 ) then
           write(6,'('' Error:  Problems with processing parameters'')')
           call exit(2)
        endif

        call str_trim(pname,nc_pname)

        if (pequ .eq. 0) then    ! parameter does not have a default val
           pval = '&nodefault'
           nc_pval = 10
        else
           status = get_token1(token(ibeg+pequ:nc_token),'=',pval,pequ)
           call str_trim(pval,nc_pval)
        endif

        write(2,'(a)') type(1:nc_type)
        write(2,'(a)') pname(1:nc_pname)
        write(2,'(a)') pval(1:nc_pval)

        write(80,'('' '',a,'' <'',a,''> <'',a,''>'')')
     &        type(1:nc_type), pname(1:nc_pname),  pval(1:nc_pval)

        if (pdel .eq. 0) then
           last_il = il
           write(2,'(''*END_PARAMETERS'')')
           return
        endif
        ist = ist + pdel
      enddo

      end
