      subroutine process_set(lines,nc,line_num,il,last_il)
      implicit none
* Set instruction has the following format:
*
*    1)  Set A = const             | A is object parameter; const is constant
*                                  | depending on A's type
*    2)  Set A = B                 | A is object parameter; B is incomming
*                                  | action parameter
*    3)  Set A = NAME<C>           | A is object parameter; C is a parameter of
*                                  | object NAME

      integer nc(1),line_num(1)
      character*(*) lines(1)

      integer il,last_il

      integer nc_line
      character*133 line

      integer ist,status,pdel,pgt,get_token1,check_name

      character*133 curobjparname
      integer ln_curobjparname

      character*133 rightside
      integer ln_rightside

      character*133 obj_name
      integer ln_obj_name

      character*133 parname
      integer ln_parname

      integer type
*---------------------------------------------------------------------------
      write(2,'(''set'')') 

      line = lines(il)
      nc_line = nc(il)

      ist = index(line(1:nc_line),'SET')
      status = get_token1(line(ist+3:nc_line),'=',curobjparname,pdel)
      if( status .ne. 1 .or. pdel .eq. 0 )  go to 999

      call str_trim(curobjparname,ln_curobjparname)

      ist = ist+3 + pdel

      status = get_token1(line(ist:nc_line),'=',rightside,pdel)
      if( status .ne. 1) go to 999

      call str_trim(rightside,ln_rightside)

* Now determine which type is it
* If there are brackets then it is type 3 
* This implies a name does not contain '<'

      status = get_token1(rightside,'<',obj_name,pdel)
      if( status .ne. 1) go to 999

      if (pdel .gt. 0) then   !type 3
         type = 3
         call str_trim(obj_name,ln_obj_name)
         status = get_token1(rightside(pdel+1:),'>',parname,pgt)
         if (status .ne. 1 .or. pgt .eq. 0) goto 999
         call str_trim(parname,ln_parname)
         write(2,'(i5)') type
         write(2,'(a)') curobjparname(1:ln_curobjparname)
         write(2,'(a)') obj_name(1:ln_obj_name)
         write(2,'(a)') parname(1:ln_parname)
         write(80,
     &    '('' Set '',i5,'' |'',a,''|  = |'',a,''| |'',a,''|'')') 
     &        type,curobjparname(1:ln_curobjparname),
     &       obj_name(1:ln_obj_name),parname(1:ln_parname)
      else
* If rightside is a name (determined by subroutine check_name) it is type 2,
* otherwise it is type 1
         type = 1
         if ( check_name(rightside) .eq. 1) type = 2
         write(2,'(i5)') type
         write(2,'(a)') curobjparname(1:ln_curobjparname)
         write(2,'(a)') rightside(1:ln_rightside)
         write(80,'('' Set '',i5,'' |'',a,''| = |'',a,''|'')') 
     &         type,curobjparname(1:ln_curobjparname)
     &             ,rightside(1:ln_rightside)
      endif

      

      last_il = il
       return


  999 continue
        write(6,'(1x,a,'' Error:  Line : '',i5,'' incorect syntax'')') 
     &    line_num(il)
        write(6,'(a)') line(1:nc_line)
        call exit(2)

      end
