//----------------------  Class   IncFile  ---------------------------------
//
//                                                      Author: Boda Franek
//                                                      Date : 18 December 1997
//----------------------------------------------------------------------------
#ifndef INCFILE_HH
#define INCFILE_HH
#include <iostream.h>
#include "typedefs.hh"
#include "block_name.hh"
#include "incline.hh"
#include "codeblock.hh"


class IncFile {
   public :

      IncFile( const int pass, const IncLine& incline);
      
      bool anyIncludes();
      
      friend void CodeBlock::append(IncFile& incfile);

      void out();
//
//
   private :
      int  _hasIncludes;
      Block_Name _lines;
};

#endif
