#include <iostream.h>
#include <smiuirtl.hh>

main(int argc, char *argv[])
{
	SmiDomain myDomain(argv[1]);
	int nobjs;

	if(nobjs = myDomain.getNObjects())
	{
		cout << myDomain.getName() << " has " << nobjs << " objects\n";
		SmiObject *objptr;
		while(objptr = myDomain.getNextObject())
		{
			cout << objptr->getName() << " in state " 
				 << objptr->getState() << "\n";
		}
	}
	else
		cout << myDomain.getName() << " is Down\n";
	cout.flush();
}
