//------------------  M a i n   P r o g r a m  of Logic Engine -----------
#include <fstream.h>
#include <unistd.h>
#include "parameters.hh"
#include "utilities.hh"
#include "objectregistrar.hh"
#include "scheduler.hh"
#include "smiobject.hh"
#include "twonames.hh"
#include "queue_twonames.hh"

CommHandler *pCommHandlerGl;   // This will be tydied up later


extern  Name smiDomain;
//-----------------------------------------------------------------------------

void logicEngine() {


// ----- Instantiate StateQ -------------------------------

    Queue_TwoNames *pStateQ;
    pStateQ = new Queue_TwoNames();



// ----- Instantiate ExternalActionQ -------------------------------
    Queue_TwoNames *pExternalActionQ;
    pExternalActionQ = new Queue_TwoNames();



// ----- Instantiate CommHandler -------------------------------
    char smiDomainStr[MAXNAMESIZE];  // Temporary solution untill commHandler
//                                      starts usin Name's
    smiDomain.whatAreYou(smiDomainStr,MAXNAMESIZE);

    CommHandler *pCommHandler;
    pCommHandler = new CommHandler(smiDomainStr, pStateQ, pExternalActionQ);
    pCommHandlerGl = pCommHandler;  // I know, this is bad...will be tydied later


// ----- Instantiate Scheduler ----------------------------------
    Scheduler *pScheduler;
    pScheduler = new Scheduler( pCommHandler, pStateQ,
                                                 pExternalActionQ );


    pScheduler->initialise();

//-----------------------------------------------------------

// Infinite loop waiting for something to happen

   for (;;) {
//      print_msg(" Waiting..");
      if( !pStateQ->isEmpty() ) { pScheduler->execute();}
      if( !pExternalActionQ->isEmpty() ) { pScheduler->execute();}
#ifdef __VMS
      sys$hiber();
#else
      dim_wait();
#endif
   }

   exit(1);
}
