//-------------------------  SmpCond  Class  ---------------------------------
#ifndef SMPCOND_HH
#define SMPCOND_HH
#include "parameters.hh"
#include "utilities.hh"
class SmpCond;
#include "smiobject.hh"
//                                                         B. Franek
//                                                         01-Aug-1996
//----------------------------------------------------------------------------
class SmpCond {
public :
  SmpCond( char lines[][MAXRECL], int *no_lines);
  void whatAreYou(int maxStrLen, char* condString);
  int evaluate();     // 0-false;  1-true;  -1 - the object in transition;
//
  bool isPresent( const char* objnm) const;  // checks whether the object is present
//
  void objName(char* objnm, int maxsize);
//
private :
  char _objectStr[MAXNAMESIZE+2+MAXNAMESIZE+1+MAXNAMESIZE+1];
//
// This is either just an object name ( 'name'  or 'SMIdomain'::'name')
// or 'object name'.'subobject name'
  char _objectName[MAXOBJECTNAME];   // The name of the smi_object
  char _subobjectName[MAXNAMESIZE];
//
  int _inState;                 // 0 ... not_in_state;  1 ... in_state;
  int _noOfStates;
  enum {_maxStates = 50};
  char _states[_maxStates][MAXNAMESIZE];   
};

#endif
