//--------------------------  W h e n  Class  -----------------------------------
#include <iostream.h>
#include <assert.h>
#include "when.hh"
#include "smiobject.hh"
//                                                         24-September-1996
//                                                          B. Franek
//---------------------------------------------------------------------------
//
When::When( char lines[][MAXRECL], int *wh_lines, SMIObject *pobj){

   _pParentObject = pobj;
   Name temp = _pParentObject->name();
   temp.whatAreYou(_objName,MAXOBJECTNAME);

   int il,numCondlines,no_dolines;

   il = 1;

//    cout << "when:" << "\n";
//    cout << lines[il] << "\n" << lines[il+1] << "\n"<< lines[il+2] << "\n";
   _pCondition = new Condition(&lines[il],&numCondlines);
     il = il + numCondlines;


   _pDoIns = new DoIns(&lines[il],0,&no_dolines,_pParentObject,0);
   il = il + no_dolines;

   *wh_lines = il;
}


//------------------------------ whatAreYou ---------------------------------
void When::whatAreYou(){
   char condition[MAXRECL];
   cout << "\n";
   _pCondition->whatAreYou(MAXRECL,condition);
   cout  << "    when " << condition ;
   _pDoIns->whatAreYou();
   cout.flush();
}


//------------------------------- execute -----------------------------------
void When::execute( const char* objName_newState) const {
//
   if ( strcmp(_objName,objName_newState) ) {
      if ( !_pCondition->isPresent(objName_newState) ) {
//         cout << "    Object :" << objName_newState 
//              << " is not present" << " in the condition \n\n";
         return;
      }
   }


// The object that changed state is either the current object or is present
// in the condition

   char condition[MAXRECL];
   _pCondition->whatAreYou(MAXRECL,condition);
#ifdef DEBUG
   cout  << "    when " << condition ;  _pDoIns->whatAreYou();
   cout.flush();
#endif

   int flag;
   flag = _pCondition->evaluate();  //ret 0-false; 1-true; -1 one of 
//                                        the smiobjects in transition


   if ( flag == 1 ) {
       _pDoIns->executeHp();
   }

   return;
}

