//-----------------------------  A c t i o n  Class  -------------------------
#ifndef ACTION_HH
#define ACTION_HH

#include "parameters.hh"
#include "inslist.hh"
#include "name.hh"
#include "parms.hh"
class SMIObject;
class State;
class InsList;
//
//                                                   23-Sep-1996
//                                                   Boda Franek
//---------------------------------------------------------------------------
class Action {
public :
  Action
    ( char lines[][MAXRECL],char* action_nm,int *no_lines,
     char* objName, SMIObject *pobj, State* pstat);

  void whatAreYou();

  void name(char* name, int *numParameters);

  void actionString(Name& actionstr);

  int execute(char* pstate, const Name& actionstr) ;

  Parms* pCurrentParameters() ; // returns the pointer to the current parms

  Parms* pDeclaredParms();

private :
  Name _actionName;

  InsList *_pblock;      // Pointer to the instruction list(block)
//
  Name _objName;    // Name of the object to which 
//                                        the action belongs

  SMIObject *_pParentObject;

  State* _pParentState;

  Parms _declaredParms;  

//------------  Dynamic data

  Parms _currentParameters;  
};

#endif
