#include <stdlib.h>
#include "name.hh"
//---------------------------------------------------------------------
//                                                   B. Franek
//                                                   29 March 1999
//---------------------------------------------------------------------

void processCommandLine( int argc, char* argv[],
                        int& dbg, Name& domain, Name& sobjFile) {
       int c;
       extern char *optarg;
       extern int optind, optopt;

       dbg = 0;

        while ((c = getopt(argc, argv, ":d")) != -1 ) {
		switch (c) {
		case 'd':
			dbg = 1;
                        break;
		case ':':
			cout << " option " << optopt 
			<< " requires an argument\n" ;
			break;
		case '?':
			cout << " unknown option " << optopt << endl;
			break;
		}
        }
        if ( optind >= argc ) {
	   cout << " Domain name has to be given " << endl;
           exit(2);
        }
        domain = argv[optind];
        domain.upCase();
        optind++;
        if ( optind >= argc ) {
           cout << "  Sobj file has to be given" << endl;
        }
        else {
           sobjFile = argv[optind];
	}
        return;
}
