//--------------------------  SMIClass Class  -----------------------------------
#include <iostream.h>
#include <string.h>
#include <assert.h>
#include "smiclass.hh"
//                                                         26-August-1996
//                                                          B. Franek
//---------------------------------------------------------------------------
//
SMIClass::SMIClass( SMIClassRegistrar *ptn, char lines[][MAXRECL]){

   _pAllClasses = ptn;

   strcpy(_name,lines[1]);

#ifdef DEBUG
   cout << " Class : |" << _name << "| \n";
   cout.flush();
#endif
   _pAllClasses->registerObject(_name,this);


   _numOfLines = 0;

   for ( ;; ) {
     assert ( _numOfLines < MAXCLASSLINES );
     strcpy(_line[_numOfLines],lines[_numOfLines]);
     _numOfLines++;
     if (!strcmp(lines[_numOfLines-1],"*END_CLASS")) {break;}
   }

}


int SMIClass::numOfLines() {
   return _numOfLines;
}


void SMIClass::gimeLine(int lin,char* line) {
   assert ( lin < _numOfLines );

   strcpy(line,_line[lin]);

   return;
}



void SMIClass::whatAreYou() {

   cout << " Class : " << _name << "   Lines : " << _numOfLines << "\n";

   for (int lin=0; lin<_numOfLines; lin++) {
      cout << " " << _line[lin] << "\n";
   }
   cout.flush();
   return;
}

