#include <iostream.h>
#include <stdio.h>
#include "utilities.hh"
#include "termins.hh"
#include "name.hh"
#include "parms.hh"
#include "smiobject.hh"
#include "state.hh"
#include "action.hh"
#include "commhandler.hh"

extern Name allocator;
extern CommHandler *pCommHandlerGl;

TermIns::TermIns( char lines[][MAXRECL], const int lev, 
           SMIObject* pObj, State* pState, Action* pAction, int& no_lines) {
   _level = lev;

    _pParentObject = pObj;

   _pParentState = pState;

   _pParentAction = pAction;

   sscanf(lines[0],"%s",_endState);
//   cout <<  " state : |" << _endState << "| \n";

   no_lines = 1;
   return;
}



void TermIns::whatAreYou(){
indent(_level*2+5);
cout << "terminate_action / state = " << _endState <<"\n";
cout.flush();
}

//-------------------------------  execute  -----------------------------------

int TermIns::execute(char* pendState){

   if ( _pParentObject->name() == "&ALLOC" ) {

      Parms* parms = _pParentAction->pCurrentParameters();

/*
         cout << " Current parameters : " << endl;
         parms->out();
         cout.flush();
*/
      Name doubleq("\""),nullstr("\0");

      Name nameid("ID"),valid; char type[7];
      Name nameAmpersId("&ID"),valAmpersId;
      Name nameAmpersConnId("&CONN_ID"),valAmpersConnId;
      char connId[257];
      int intConnId;

      int idPresent,ampersIdPresent,ampersConnIdPresent;
      idPresent = parms->get(nameid,valid,type);
      ampersIdPresent = parms->get(nameAmpersId,valAmpersId,type);
      ampersConnIdPresent = 
             parms->get(nameAmpersConnId,valAmpersConnId,type);

      valAmpersConnId.whatAreYou(connId,256);
      sscanf(connId,"%d",&intConnId);


      Name temp("&VARIABLE");

      if ( temp == _endState ) {  // this is allocate action...should check on that 
         State* ptgState = _pParentObject->pTaggedState(temp);  
         assert (ptgState != 0);
         
         if ( idPresent ) {
            valid.replace(doubleq,nullstr);   // get rid of the double quotes
            ptgState->changeName(valid);
            valid.whatAreYou(pendState,256);
         }
         else {
            valAmpersId.replace(doubleq,nullstr);   // get rid of the double quotes
            ptgState->changeName(valAmpersId);
            valAmpersId.whatAreYou(pendState,256);
         }
         valAmpersId.replace(doubleq,nullstr);   // get rid of the double quotes
         allocator = valAmpersId;

         pCommHandlerGl->domainAllocated(intConnId);
      }
      else {  // this must be RELEASE action
         strcpy(pendState,_endState);
         allocator = "\0";

         pCommHandlerGl->domainDeallocated(intConnId);
      }
   }
   else {
       strcpy(pendState,_endState);  
   }

#ifdef DEBUG
cout   << "  terminate_action / state=" << pendState << "\n";
cout.flush();
#endif

return 1;         // terminate_action allways terminates
}

