
#ifndef TERMINS_HH
#define TERMINS_HH

#include "parameters.hh"
#include "instruction.hh"
class SMIObject;
class State;
class Action;

class TermIns : public Instruction {
public:
  TermIns( char lines[][MAXRECL], const int lev, 
           SMIObject* pObj, State* pState, Action* pAction, int& no_lines);
  void whatAreYou();
  int execute(char *pstate);   // 0-normal,  1-terminated action, 2-suspended
private:
  char _endState[MAXNAMESIZE];
  int _level;

  SMIObject* _pParentObject;
  Action* _pParentAction;
  State*  _pParentState;
};

#endif
