//----------------------  Class   NmdPtnr  ---------------------------------
//
//                                                      Author: Boda Franek
//                                                      Date : 15 December 1998
//----------------------------------------------------------------------------
#ifndef NMDPTNR_HH
#define NMDPTNR_HH
#include <iostream.h>
#include "typedefs.hh"
#include "name.hh"

class NmdPtnr {
   public :
      NmdPtnr();

      NmdPtnr( const Name& name, void* ptnr);

      NmdPtnr(const NmdPtnr& obj);

      ~NmdPtnr();

      Name name();

      void* pointer();

      NmdPtnr& operator=(const NmdPtnr &);

      void out() const;

      friend ostream& operator<<(ostream&, NmdPtnr& );

//
//
   private :
      Name _name;
      void* _ptnr;
};

#endif
