//----------------------  Class  Registrar  -----------------------------------
//
//                                                      Author: Boda Franek
//                                                      Date : 25 December 1998
//----------------------------------------------------------------------------
#include <assert.h>
#include "registrar.hh"
#include "name.hh"
#include "nmdptnr.hh"

   Registrar::Registrar() {
   }

   Registrar::~Registrar() {
   }

   int Registrar::add(const Name & name, void* ptnr) {

       NmdPtnr temp(name,ptnr);

       if ( _len == 0 ) {
          NmdPtnrVector::add(temp);
          return 1;
       }

       for ( int i=0; i<_len; i++ ) {
          if ( name == _ptn[i].name() ) {
              _ptn[i] = temp; return 2;
          }
       }
       NmdPtnrVector::add(temp);
       return 1;
   }

   void* Registrar::gimePointer(const Name& name) const {

       for ( int i=0; i<_len; i++ ) {
          if ( name == _ptn[i].name() ) {
              return _ptn[i].pointer();
          }
       }

       return 0;
   }


   Name Registrar::gimeName(const int elem) const {
       assert (elem >= 0 && elem < _len);
       return _ptn[elem].name();
   }

   void* Registrar::gimePointer(const int elem) const {
       assert (elem >= 0 && elem < _len);
       return _ptn[elem].pointer();
   }
