//----------------------  Class   SMLline  ---------------------------------
//
//                                                      Author: Boda Franek
//                                                      Date : 15 December 1998
//----------------------------------------------------------------------------
#ifndef SMLLINE_HH
#define SMLLINE_HH
#include <iostream.h>
#include "typedefs.hh"
#include "name.hh"

class SMLline : public Name {
   public :

      SMLline();

      SMLline(const int linnum, const Name& );

      virtual ~SMLline();

      SMLline& operator=(const SMLline &);

      SMLline& operator+= (const SMLline &);

      int linNum() const;

      Name lineBody() const;

      bool commentLine() ;

      bool objectLine( Name& name, int& cls, int& assoc, Name& isOfClass) ;

      bool objectSetLine( Name& name, Name& isOfClass) ;

      bool parametersLine();

      bool stateLine( Name& name );

      bool actionLine( Name& name );

      void out() const;

      friend ostream& operator<<(ostream&, const SMLline& );

//
//
   protected :
      int _lineNum;
};

#endif
