//----------------------  Class   SMLline  ---------------------------------
//
//                                                      Author: Boda Franek
//                                                      Date : 15 December 1998
//----------------------------------------------------------------------------
#ifndef SMLLINE_HH
#define SMLLINE_HH
#include <iostream.h>
#include "typedefs.hxx"
#include "name.hxx"

class SMLline : public Name {
   public :

	SMLline();

	SMLline(const int linnum, const Name& );

	virtual ~SMLline();

	SMLline& operator=(const SMLline &);

	SMLline& operator+= (const SMLline &);

	int linNum() const;

	Name lineBody() const;

	bool commentLine() ;

	bool instructionLine( Name& type );

	int primKeyword( Name& name, int& assoc) ;

	int objectKeyword( Name& name);

	int stateKeyword( Name& name);

	void out() const;

	friend ostream& operator<<(ostream&, const SMLline& );

//
//
	protected :
		int _lineNum;
};

#endif
