#ifndef _COLLECTORLIB_H
#define _COLLECTORLIB_H

#define AFFAIR_DEBUG_LEVEL 0
#define KBYTES_PER_BYTE 0.00097656
#define MBYTES_PER_BYTE 0.00097656*0.00097656
#define kComputersConfZeroOffset  5;

double getLoginSessions(void);
void getProcessorInfo(void);
double getMemInfo(char *memParameter);
void getTmpValues(float *tmpValues);
double getRunQueue(char * rqFile);
void getPagingRate(char * pgFile,float *);
double getDiskFree(char * diskName);
double getDiskUsage(char * diskName);
void getHostType(void);
void setupHostinfo();
FILE* getLogfile(int logOptionX);
void startServices(int, int);
void client_exited(int *);
void setupInterrupt(void);
void ouch(int sig);
void setupCommon(int,int, int);
void startCollecting(int *tag, char *buf,int  *size);
double getPool(char * disk1,char * disk2,char * disk3,char * disk4,char * disk5);
double getDiskNumber(char * disk1,char * disk2,char * disk3,char * disk4,char * disk5);
void writeOutput(char* testString);
char** string_to_argv(char *argstring, int *argc);

char gTextString[256];
int gDebugLevel;
char gUserHname[256];
#endif






