#ifndef _MONCONSTANTS_H
#define _MONCONSTANTS_H
#
#define AFFAIR_DEBUG_LEVEL 0
#
#define ANALYSIS_GLOBAL_OPTION      "ANA_GLOBAL"
#define ANALYSIS_GLOBAL_EACH_OPTION "ANA_GLOBAL_AND_EACH"
#define ANALYSIS_EACH_OPTION        "ANA_EACH"
#define ANALYSIS_ONE_COMPUTER_OPTION "ANA_ONE_COMPUTER"
#define RRD_GLOBAL_OPTION           "RRD_GLOBAL"
#define RRD_EACH_OPTION             "RRD_EACH"
#define RRD_GLOBAL_LASTRUN_OPTION   "RRD_GLOBAL_LASTRUN"
#define RRD_EACH_LASTRUN_OPTION     "RRD_EACH_LASTRUN"
#define RRD_ONE_COMPUTER_OPTION     "RRD_ONE_COMPUTER"
#define SUM_AND_SUPERIMPOSE         "SUM_AND_SUPERIMPOSE"
#define SUM                         "SUM"
#define SUPERIMPOSE                 "SUPERIMPOSE"
#define BOX                         "BOX"
#define ALL_PLOT_TYPES              "ALL_PLOT_TYPES"
#define NO_ROOTFILE_STORAGE         "none"

#define k_SUM_AND_SUPERIMPOSE      0
#define k_SUM                      1
#define k_SUPERIMPOSE              2
#define k_BOX                      3
#define k_ALL_PLOT_TYPES           4
#define k_YES_EPS                  0
#define k_NO_EPS                   1
#define k_YES_EPS_AFFAIR_DIR       2
#define k_YES_PNG                  3
 
const Int_t kMaxRes               = 10; // should really be a par somewhere.Tmp
const Int_t kTimeDepth            = 3600;
const Int_t kSecondsHour          = 3600;
const Int_t kSecondsDay           = 86400;
const Int_t kSecondsMonth         = 2592000;
const Int_t kSecondsYear          = 31536000;
const Int_t kDayPerMonth          = 30;
const Int_t kDayPerYear           = 365;
const static Int_t kMaxVariables  = 100;
const Int_t kEmptyRunDelay        = 100;
const Int_t kColorCount           = 20;
const Int_t kFullLine             = 1;
const Int_t kDashedLine           = 2;
const Int_t kMaxGraphsPerPlot     = 20;
//const Int_t kTimeOffset = 7200; //time offfset for time axis to compensate for local/gm time
const Int_t kTimeOffset           = 0; //time offfset for time axis to compensate for local/gm time
const Int_t kFillPeriod           = 600; //  time in sec of time between looping over rrds and filling root file
const Int_t kRunNumIndex          = 0;
const Int_t kMaxRunCount          = 1000;
const Float_t kHistoSmoothFactor  = 1.0; // num of time bins over which average summed histo.
const Int_t kOneNodeScope         = 1;
const Int_t kGlobalScope          = 2;
const Int_t kCurrentTimeScope     = 3;
const Int_t kMaxLabelsPerBoxPlot      = 5;
const Int_t kComputersConfZeroOffset  = 5;

//parameter postion in affair_monset table
const Int_t kMonsetParOffset      = 5;
// miliseconds between plot cycles
const Int_t kCycleDelay           = 30000;


//const Int_t kLocalOrRemoteTimeOptionIndex  = 1;
const Int_t kMonitoringStationTimeOrRemoteNodeTimeOptionIndex = 1;

const Int_t kTimeoutPeriodIndex            = 5;
const Int_t kMaxGraphsPerPlotIndex         = 8;
const Int_t kPlotCycleDelayIndex           = 9;
const Int_t kMaxIterationsForRootStorageIndex    = 10;

#endif 







