#! /bin/csh

if ( $?DATE_SITE) then
else
	setenv DATE_SITE /dateSiteAdc
endif

# pick a par which is set from setup.sh or packagepar
if ( $?DATE_RC_INC) then
else
    source /date/setup.csh
#    dateSetup /date/readout/packageParams
endif


source monitorPars.csh

#if ( $?LD_LIBRARY_PATH) then
#else
#	echo "LD_LIBRARY_PATH Cannot run. exit "
#	exit 1;
#endif
setenv LD_LIBRARY_PATH "${DIMBIN}:${SMIBIN}"



#check if the affair env var defined
if ( $?AFFAIR) then
else
	echo "AFFAIR Error. AFFAIR variable not set! Cannot run. exit "
	exit 1;
endif


if ( $?AFFAIR_DNS_NODE) then
else
    if ( $?DIM_DNS_NODE) then
      setenv AFFAIR_DNS_NODE $DIM_DNS_NODE
    else
       echo "AFFAIR Error.  AFFAIR_DNS_NODE and DIM_DNS_NODE not set! Cannot run. exit "
	    exit 1;
    endif
endif
#echo " dim dns node isb $DIM_DNS_NODE aff is $AFFAIR_DNS_NODE"

setenv DIM_DNS_NODE_LDCGDC $DIM_DNS_NODE
setenv DIM_DNS_NODE $AFFAIR_DNS_NODE
# check if CollectorSYSMON is up

set affairStatus=` ps -weo command | grep AffairDATEMON | grep -cv grep  `;
if ( "$affairStatus" != "0" ) then
#    echo " process exists. "
    ( $AFFAIR/support/killProcess.pl CollectorDATEMON >&  /dev/null  )
    ( $AFFAIR/src/dim/CollectorDATEMON & )
else
#    echo " process dead.starting "
( $AFFAIR/src/dim/CollectorDATEMON & )
endif


#start DATE collector

setenv DIM_DNS_NODE $DIM_DNS_NODE_LDCGDC

if ( $?DATE_ROLE) then
( $AFFAIR/support/killProcess.pl CollectorDATE $1 >&  /dev/null  )
( $AFFAIR/src/dim/CollectorDATE $1 )
endif





