#!/usr/bin/perl
open LOG, "<$ARGV[0]";
open TEMP, ">>$ARGV[0].tmp";
$newLine = "";
$argCount = @ARGV;
$count = 0;

# copy the log fle to temp file. Make sure to not copy the line
# containing the new entry. This will be added afterwars
while(<LOG>) {
    $line = $_;
    next unless length($line);  # Anything left?
    if( $line =~ /$ARGV[1]/ && $line =~ /$ARGV[2]/ ) {
	# Aha, already have this entry
	$count++;
    }
} 

close LOG;

# now extract the new parameter line. Need to loop, as the par line can
# contain multiple strings. The first three pars are not relevant (file name, hname, monset)
# that's why start from index 3

if ($count ==0) {
    open LOG, ">>$ARGV[0]";
    for ($i = 3; $i < $argCount; $i++ ) {
	$newLine = $newLine." ".$ARGV[$i]." ";
    }
    print LOG $newLine."\n";
    print TEMP $newLine."\n";
    close LOG;
}
else {
#    print " line already exists. do nothing";
}


