#!/usr/bin/perl


# fist get max space in partition where /tmp is 
$commandOutput =  `df /tmp | grep -v "Filesystem"`;
@arrayOutput = split(/\s+/,$commandOutput);
$availableSpace  = $arrayOutput[3];

# now get space occupied by /tmp. Ignore error if some files
# used by root not readable. This would make the calculated tmp space
# less than max, but to a first approximation this will do
$commandOutput =  `du -s /tmp 2> /dev/null`;
@arrayOutput = split(/\s+/,$commandOutput);
$tmpUsed = $arrayOutput[0];

# max space that tmp can use
$tmpMax = $availableSpace + $tmpUsed; 
# output the three relevant values
$tmpMax = $tmpMax/1000.0;
$availableSpace = $availableSpace/1000.0;
$tmpUsed = $tmpUsed/1000.0;
$output = $tmpMax." ".$availableSpace." ".$tmpUsed;
chomp($output);
print $output;






