#! /usr/bin/perl
use POSIX;
my $AffairDir     = "$ENV{'AFFAIR_MONITOR'}"; 

%months = ("Jan"=>0, "Feb"=>1, "Mar"=>2, "Apr"=>3, "May"=>4, "Jun"=>5, "Jul"=>6, "Aug"=>7, "Sep"=>8, "Oct"=>9, "Nov"=>10, "Dec"=>11);

#arg 0 is directory with files, 1 is full file name where chosen files will be listed  

opendir(DIRHANDLE,"$ARGV[0]");
@allfilesx = grep(/.*root$/,readdir(DIRHANDLE));
@allfiles =  sort @allfilesx;
closedir(DIRHANDLE);
$number_of_elements = @allfiles; 
open(ROOTLIST,">$ARGV[1]" || die "cannot open rootfilelist file \n");
my $correctFieldCount = 14;


$count = 0;

for($i=0;$i<$number_of_elements;$i++) {    
    my @values = split (/\_/, $allfiles[$i]);
    $number_of_elements2 = @values; 
    next unless $number_of_elements2 == $correctFieldCount;

    $compName   = $values[0];
    $monset     = $values[1];

    $sFileHour  = $values[2];
    $sFileMin   = $values[3];
    $sFileDay   = $values[4];
    $sFileMonth = $months{$values[5]};
    $sFileYear  = $values[6] + 2000- 1900;

    $wday = -1;
    $sFileTime = mktime(0,$sFileMin,$sFileHour,$sFileDay,$sFileMonth,$sFileYear,$wday,0,-1);

    
    $eFileHour  = $values[9];
    $eFileMin   = $values[10];
    $eFileDay   = $values[11];
    $eFileMonth = $months{$values[12]};
    $values[13] =~ s/\.root//;
    $eFileYear  = $values[13]  + 2000- 1900 ;


    $eFileTime = mktime(0,$eFileMin,$eFileHour,$eFileDay,$eFileMonth,$eFileYear,$wday,0,-1);
    print ROOTLIST "$ARGV[0] $allfiles[$i] $compName $monset $sFileTime $eFileTime \n";


}
