#! /usr/bin/perl
use POSIX;
my $AffairDir     = "$ENV{'AFFAIR_MONITOR'}"; 

%months = ("Jan"=>0, "Feb"=>1, "Mar"=>2, "Apr"=>3, "May"=>4, "Jun"=>5, "Jul"=>6, "Aug"=>7, "Sep"=>8, "Oct"=>9, "Nov"=>10, "Dec"=>11);

#arg0 is monitorset, 1 is directory with files, 2 is full file name where chosen files will be listed  
# 3 is start time, 4 is end time
# 5 is computername, only used if one computer used

opendir(DIRHANDLE,"$ARGV[1]");
@allfiles = grep(/.*root$/,readdir(DIRHANDLE));
closedir(DIRHANDLE);
$number_of_elements = @allfiles; 
open(ROOTLIST,">$ARGV[2]" || die "cannot open rootfilelist file \n");
my $correctFieldCount = 14;

#print "argvs is ".$ARGV[0]." and ".$ARGV[1]." and ".$ARGV[2]." and ".$ARGV[3]." and ".$ARGV[4]." and ".$ARGV[5]." \n";

$sTime = $ARGV[3];
$eTime = $ARGV[4];
$monSet= $ARGV[0];

$computerName = $ARGV[5];

$oneNodeOnlyOption = 1;
$count = 0;


if ( $computerName =~ "ONLINE" ) { 
    $oneNodeOnlyOption = 0;
}

for($i=0;$i<$number_of_elements;$i++) {    
    my @values = split (/\_/, $allfiles[$i]);
    $number_of_elements2 = @values; 
#    next unless $number_of_elements2 == $correctFieldCount;
    next unless $values[1] =~ $monSet &&  $monSet =~ $values[1];
    next unless $oneNodeOnlyOption == 0 || ($oneNodeOnlyOption == 1 && $values[0] =~ $computerName) ;

    $sFileHour  = $values[2];
    $sFileMin   = $values[3];
    $sFileDay   = $values[4];
    $sFileMonth = $months{$values[5]};
    $sFileYear  = $values[6] + 2000- 1900;

    $wday = -1;
    $sFileTime = mktime(0,$sFileMin,$sFileHour,$sFileDay,$sFileMonth,$sFileYear,$wday,0,-1);

    
    $eFileHour  = $values[9];
    $eFileMin   = $values[10];
    $eFileDay   = $values[11];
    $eFileMonth = $months{$values[12]};
    $values[13] =~ s/\.root//;
    $eFileYear  = $values[13]  + 2000- 1900 ;


    $eFileTime = mktime(0,$eFileMin,$eFileHour,$eFileDay,$eFileMonth,$eFileYear,$wday,0,-1);
#    if ( $sTime <=  $eFileTime  && $eTime >= $sFileTime  ) {
	print ROOTLIST "$ARGV[1]/$allfiles[$i] \n";
#	print "$ARGV[1]/$allfiles[$i] \n";
	$count++;
#    }  
}

opendir(DIRHANDLE2,"$AffairDir/rootfiles");
@allfiles2 = grep(/.*root$/,readdir(DIRHANDLE2));
closedir(DIRHANDLE2);
$number_of_elements = @allfiles2; 

for($i=0;$i<$number_of_elements;$i++) {    
# also select here the monitoring set
    my @values2 = split (/\_/, $allfiles2[$i]);
    next unless $values2[1] =~ $monSet &&  $monSet =~ $values2[1];
    next unless $oneNodeOnlyOption == 0 || ($oneNodeOnlyOption == 1 && $values2[0] =~ $computerName) ;
    print ROOTLIST "$AffairDir/rootfiles/$allfiles2[$i] \n";
    print  "$AffairDir/rootfiles/$allfiles2[$i] \n";
	$count++;
}
print  "$count \n";

