<?php
  require("./common.inc");
// this is where all the plots are made, with the different time periods
    $expected=array(
		    'type',   
		    'myGroup',
		    'prm',   
		    'chm',
		    'myPlotDir'   		    
		    ); 
foreach ($expected as $formvar) $$formvar = (isset(${"_$_SERVER[REQUEST_METHOD]"}[$formvar]))? ${"_$_SERVER[REQUEST_METHOD]"}[$formvar]:NULL;

outTitle();
#make default current month 

if(! isset($prm)){
    $prm = date("m");
    $chm = 0;
}

if (isset($myPlotDir)) {
    if (ereg ("([0-9]{1,2})([0-9]{1,2})([0-9]{4})", $myPlotDir, $regs)) {
	$currDay  = $regs[1];
	$currMon  = $regs[2];
	$currYear = $regs[3];
    } else {
	echo "Invalid date format: $date";
    }
}

$files = getParameters();

function outCalendarLinksLeft() {
    global $typesDesc;
    global $type;
    global $myPlotDir;
    $linkFontSize=2;
    
    echo "<br>\n";
    echo "<table>\n";
    echo "<TR>\n";
    echo "<td valign=\"top\">   \n";
    echo "<!--  left row table  --> \n";

    outCalendar();
    
    if ( isset ($myPlotDir) ) {
    echo "<div id=\"navcontainer\">  \n";
    echo "<UL>\n";  
    echo "<LI><img src=\"Images/blank.gif\"  height=\"10\" width=\"0\"></LI>\n";

    foreach ($typesDesc as $typex=>$desc ) {
	$desc2=str_replace("_"," ",$desc);
	$markTypesActive = "";
	if ($typex == $type) $markTypesActive = "id=\"active\"";
	echo "<LI $markTypesActive ><a href=\"calendar.php?type=".$typex."&myPlotDir=".$myPlotDir."\">".$desc2." plots </a></LI>\n";
    }
    
    echo "</UL>\n";
    echo "</div>\n";
}
    echo "</td>\n";
    echo "<!--  right text row  -->\n";
    echo "<td valign=\"top\" align=\"left\" > <img src=\"Images/blank.gif\"  width=1 height=0>\n";    
}






function outCalendarPlotTable($id, $defPeriod = "", $defGroup = "",$myPlotDir="") {
    global $periods, $defaultPeriod;
    if (empty($defPeriod)) $defPeriod = "day";
    $imgBase = $id."_";
    $fileNameEps = "../plots/".$myPlotDir."/".$id."_".$defPeriod.".eps";
    $fileNamePng = "../plots/".$myPlotDir."/".$id."_".$defPeriod.".gif";
    //For each type plots: not plot them at all if not updated. 
	$plotCurrent = 0; $plotHeight = "220";
    if ($defPeriod == "MultiBox" && (file_exists($fileNameEps) || file_exists($fileNamePng)) )  {
	$plotCurrent = 1;
	$plotHeight = "110";
    }
    $testgroup = ereg("^.*_(".$defGroup.")_",$id,$rexx) ;

    if (  (file_exists($fileNameEps) || file_exists($fileNamePng))&& ( $testgroup > 0 || $defGroup == "ALL" )  || ($plotCurrent == 1) ) {	   
	$ideps =$myPlotDir."/".$id;
	$webFileNameEps = "plots/".$myPlotDir."/".$id."_".$defPeriod.".eps";

	echo "<table cellspacing=\"0\" cellpadding=\"5\" border=\"0\">\n";
	echo "  <tr valign=\"top\">\n";
	echo "    <td>\n";
	echo "      <table cellspacing=\"1\" cellpadding=\"2\" border=\"0\">\n";
	echo "        <tr>\n";
	echo "          <td colspan=\"4\"><img src=\"plot.php?f=${id}_$defPeriod&myPlotDir=$myPlotDir \" alt=\"\" border=\"0\" name=\"img_".str_replace('/', '', $id)."\" width=\"600\" height=$plotHeight><br></td>\n";
	echo "        </tr>\n";
	echo "        <tr bgcolor=\"#f2f2f2\">\n";
	echo "  <td bgcolor=\"white\" align=\"center\" colspan=\"4\"> <a href=$webFileNameEps> download eps</a></td> \n";
	echo "        </tr>\n";
	echo "      </table>\n";
	echo "    </td>\n";
	echo "    <td>\n";
	echo "    </td>\n";
	echo "  </tr>\n";
	echo "</table>\n";
	echo "\n";
	echo "<p><img src=\"Images/line.jpg\" width=\"500\" height=\"5\" alt=\"\" border=\"0\"></p>\n";
	echo "\n";
    }    
}


function outCalendar(){
    global $prm;
    global $chm;
    global $type;

    global $currDay ;
    global $currMon ;
    global $currYear;


    if(isset($prm)){
	$m=$prm+$chm;
    } else{
	$m= date("m");
    }
    $d    = date("d");     // Finds todays date
    $y    = date("Y");     // Finds todays year

    $nowDay    = $d;
    $nowYear   = $y;
    $nowMonth  = date("m");     // Finds todays month

	$d=1;
    $no_of_days  = date('t',mktime(0,0,0,$m,1,$y)); // This is to calculate number of days in a month
    $selMonthStr = date('M',mktime(0,0,0,$m,1,$y)); // Month is calculated to display at the top of the calendar
    $selYear     = date('Y',mktime(0,0,0,$m,1,$y)); // Year is calculated to display at the top of the calendar
    $j           = date('w',mktime(0,0,0,$m,1,$y)); // This will calculate the week day of the first day of the month
    $selMonth    = date('m',mktime(0,0,0,$m,1,$y)); // Month is calculated to display at the top of the calendar

    for($k=1; $k<=$j; $k++){ // Adjustment of date starting
       $adj.="<td>&nbsp;</td>";
    }    

    // Starting of top line showing name of the days of the week	
    // kludge, as plotgroup is asked. see if this isok
    $plotGroup="";

    $spacer= "<img src=\"Images/blank.gif\" width=25 height=0>";

    echo "<div id=\"calendar\">  \n";
    echo "<table cellpadding=0 cellspacing=2 border=0 >";
    echo "<tr><td colspan=2><a href=\"calendar.php?type=$type&myGroup=$plotGroup&prm=$m&chm=-1\"> prev. </a></td><td colspan=3><b>$selMonthStr $selYear </b></td><td colspan=2><a href=\"calendar.php?type=$type&myGroup=$plotGroup&prm=$m&chm=1\"> next </a></td></tr>";
    echo "<tr><td>$spacer</td><td>$spacer</td><td>$spacer</td><td>$spacer</td><td>$spacer</td><td>$spacer</td><td>$spacer</td></tr><tr>";   

    echo "<tr><td><b>Su</b></td><td><b>Mo</b></td><td><b>Tu</b></td><td><b>We</b></td><td><b>Th</b></td><td><b>Fr</b></td><td><b>Sa</b></td></tr><tr>";   
    ////// End of the top line showing name of the days of the week//////////	
    //////// Starting of the days/////
    for($i=1;$i<=$no_of_days;$i++){
	$dayZeroPadded   = sprintf("%02d",$i);
	$monthZeroPadded = sprintf("%02d",date('m',mktime(0,0,0,$m,$d,$y)));
        $plotDir         = $dayZeroPadded.$monthZeroPadded.$selYear;
	if (file_exists("../plots/".$plotDir)) {
	    $dateText = "<a href=\"calendar.php?type=$type&myGroup=$myGroup&prm=$prm&chm=$chm&myPlotDir=$plotDir\"> $i </a>";
	} else {
	    $dateText = "$i";
	}
	if ($i == $currDay && $selMonth == $currMon && $selYear==$currYear) {
	    $dateText = "<a href=\"calendar.php?type=$type&myGroup=$myGroup&prm=$prm&chm=$chm&myPlotDir=$plotDir\" class=selectedday> $i </a>";
	    echo $adj."<td class=selectedday>$dateText</td>";
	} elseif ($i == $nowDay && $m == $nowMonth && $y==$nowYear) {
	    echo $adj."<td class=today>$dateText</td>";
	} else {
	    echo $adj."<td>$dateText</td>";
	}
	$adj='';
	$j++;
	if($j==7){echo "</tr><tr>";$j=0;}
    }   
    echo "</tr></table>";
    echo "</div>  \n";
}

?>


<table  width=\"5%\">
<tr>
<?php
    outCalendarLinksLeft();


    if (empty($myPlotDir)) {
	echo "<div id=\"mainlist3\">";
	echo " <P> This page is an interface to daily plots for previous days. The calendar on left shows which dates have stored summary plots (marked in orange). They
are accessed by clicking on the appropriate date. The links on the left provide plots for that data for the chosen monitoring set </P>";
	echo "</div>\n";
    } else {	
	$monFormat=date('M',mktime(0,0,0,$currMon,$currDay,$currYear)); 
	
	echo "<div id=\"mainlist4\">\n";
	echo "<h2> &nbsp &nbsp $type plots for date: $currDay/$monFormat/$currYear</h2>\n";
	echo "</div>\n";
	
	
	$plotGroups = getPlotGroup();
	if ( empty ($myGroup)) $myGroup = $plotGroups[0]; 
	
	$plotGroupNumber = count($plotGroups);
	
	echo "<div id=mainlist4>\n";
	echo "<table cellpadding=2 cellspacing=2 border=0 width=\"5%\" valign=top>\n";
	echo "<tr>\n";
	echo "<td><img src=\"Images/blank.gif\" width=100 height=0> </td>";
	foreach ($periods as $period => $desc) echo "<td> <img src=\"Images/blank.gif\" width=78 height=0></td>\n";
	echo "</tr>\n";
	
	if ( $plotGroupNumber > 1  ) {
	    $i = 0;
	    foreach ($plotGroups as $plotGroup) {
		if ($i == 0)  $varColor[$i] = "#E7A1B0";
		if ($i == 1)  $varColor[$i] = "#E7A1B0";
		if ($i > 1)   $varColor[$i] = "#6699CC";
		$i++;
	    }
	    echo "<tr>\n";
	    echo "<td align=\"right\" bgcolor= \"yellow\">plot group:</td>";
	    $i = 0;	    
	    foreach ($plotGroups as $plotGroup) {		
		if ($i++ == 6)   echo "</tr><tr><td align=\"right\"> </td>";		
		$tmpLink ="<a href=\"calendar.php?type=".$type."&myGroup=".$plotGroup."&myPlotDir=".$myPlotDir."\">".$plotGroup."</a>";
		$tmpCol  = "#00FF00";
		if ($myGroup == $plotGroup) $tmpCol=$varColor[$i-1];
		echo "<td bgcolor=".$tmpCol." align=\"center\">".$tmpLink."</td>\n";
	    }
	    echo "</tr>\n";
	}
	
	echo "</table>\n";
	echo "</div>\n";

	foreach ($files as $f) {
	    if ($myGroup == "CURRENT") {
		outCalendarPlotTable($f,"MultiBox",$myGroup,$myPlotDir);
	    } else {
		outCalendarPlotTable($f,"day",$myGroup,$myPlotDir);
	    }

#	    outCalendarPlotTable($f,"day",$myGroup,$myPlotDir);
	}	
    }

?>

<?php
    outFoot();
?>
