<?php
  require("./common.inc");
$myUser    =$_SERVER[PHP_AUTH_USER];
$myPassword=$_SERVER[PHP_AUTH_PW];
$expected=array(
		'reqbHour',   
		'reqbMin',   
		'reqbSec',   
		'reqbDay',   
		'reqbMonth',   
		'reqbYear',  
		'reqeHour',   
		'reqeMin',   
		'reqeSec',   
		'reqeDay',   
		'reqeMonth',   
		'reqeYear',  
		'reqMonset',  
		'HistoOrGraphOpt',  
		'type',  
		'myName',
		'dateFormOption',
		'beginTime',
		'endTime',
		'anaStage',
		'errCode',
		'myGroup',
		'makeNodePlots'
		); 


foreach ($expected as $formvar) $$formvar = (isset(${"_$_SERVER[REQUEST_METHOD]"}[$formvar]))? ${"_$_SERVER[REQUEST_METHOD]"}[$formvar]:NULL;

#analysis stage 0 - default page
#one. where calculations are made for the date. format checked.
#2. where final results are presented

$dateFormOption  = 1;
$pass            = false;
$analysisTimeOut = 10; 
$extraTitle      = "";

outTitle("","","../");


echo "<table  width=\"5%\">\n";
echo "<tr>\n";
$errCodes = array(1=>"Begin time not correctly filled",
		  2=>"You need to choose a monitoring set",
		  3=>"start time >= end time. Correct this",
		  4=>"Not enough time between your last request. Need at least one minute",
		  5=>"Begin time not correctly filled");


if ( empty ($myUser))        echo "<br> Username not provided. Something wrong \n";
if ( empty ($myPassword))    echo "<br> password not provided. Something wrong \n";
if ( empty ($anaStage))      $anaStage = 0;
if ( empty ($errCode))       $errCode  = 0;
#if ( empty ($makeNodePlots)) $makeNodePlots  = "off";
if ( empty ($makeNodePlots)) $makeNodePlots  = "on";

outAnalysisLinksLeft();

if ($anaStage == 0) selectAnaPars();

if ($anaStage == 1) {
    $errCode = 0;
    if ( !is_null($beginTime) &&  !is_null($endTime) ) {
	ereg("(.*)\/(.*)\/(.*):(.*)\/(.*)\/(.*)",$beginTime, $beginArray);
	ereg("(.*)\/(.*)\/(.*):(.*)\/(.*)\/(.*)",$endTime, $endArray);
	
	$reqbHour  = $beginArray[1];
	$reqbMin   = $beginArray[2];
	$reqbSec   = $beginArray[3];
	$reqbDay   = $beginArray[4];
	$reqbMonth = $beginArray[5];
	$reqbYear  = $beginArray[6];
	
	$reqeHour  = $endArray[1];
	$reqeMin   = $endArray[2];
	$reqeSec   = $endArray[3];
	$reqeDay   = $endArray[4];
	$reqeMonth = $endArray[5];
	$reqeYear  = $endArray[6];	
    }

    if (          is_null($reqbHour) || is_null($reqbMin)  || is_null($reqbSec) || is_null($reqbDay)    || is_null($reqbMonth)  || is_null($reqbYear) ) {
	$errCode=1;
    } else if (   is_null($reqeHour) || is_null($reqeMin)  || is_null($reqeSec)  || is_null($reqeDay) || is_null($reqeMonth)  || is_null($reqeYear) ) {
	$errCode=5;
    }else if ( empty ($reqMonset) ) {
	$errCode=2;
    } else {

        $myNameOption="";

	$beginTimestamp        = mktime ($reqbHour, $reqbMin, $reqbSec,$reqbMonth,$reqbDay,$reqbYear);
	$endTimestamp          = mktime ($reqeHour, $reqeMin, $reqeSec,$reqeMonth,$reqeDay,$reqeYear);
	$type                  = $reqMonset;
	$beginAnalysisTimeFlag = "../log/".$myUser."_start";
	$endAnalysisTimeFlag   = "../log/".$myUser."_end";
	#make sure do not have too many hits for each user, to not block system
	# have start and stop for each user. for time being just use start 
	if (!file_exists($beginAnalysisTimeFlag)) touch($beginAnalysisTimeFlag,time()-$analysisTimeOut-1);
	if (!file_exists($endAnalysisTimeFlag))   touch($endAnalysisTimeFlag,time()-$analysisTimeOut-1);	
	if ( $beginTimestamp >= $endTimestamp) {
	    $errCode = 3;
	}  elseif ( (time() - filemtime($beginAnalysisTimeFlag) < $analysisTimeOut)   ) {
	    $errCode = 4;
	} else {
	    # all OK
	    touch($beginAnalysisTimeFlag);
	    $makeNodePlotsBool  = 0;
	    if ($makeNodePlots == "on") $makeNodePlotsBool = 1;
	    
	    if ( strpos($reqMonset,"None") ===false ) {
		# summary plots for all or one monitoring set to be done
		if ( strpos($reqMonset,"All")===true ) {
		    foreach ($types as $typex) {
			@system("./doOffline.sh $typex $beginTimestamp $endTimestamp $myUser 0 summary>& /dev/null ");
		    }
		} else {
		    @system("./doOffline.sh $reqMonset $beginTimestamp $endTimestamp $myUser 0 summary>& /dev/null ");
		}
	    } 

	    if ( (strpos($reqMonset,"None") >= 0 ) || (strpos($reqMonset,"All")  >= 0 )  ) {
		$typeCount = 0;
		foreach ($types as $typex) {
		    $selectedString ="";
		    $typeCount++;
		    if ($typeCount == 1) {
			$type      = $typex;
			$reqMonset = $typex;
		    }
		}
	    }

	    if ( strpos($myName,"NoneNode") ===false  ) {
		foreach ($types as $typex) {
		    $myName2 = GetWithDot($myName);
		    @system("./doOffline.sh $typex $beginTimestamp $endTimestamp $myUser $makeNodePlotsBool $myName2 >& /dev/null ");
		} 
		$makeNodePlots = "on";
		$myNameOption=$myNameOption."&myName=$myName";
	    }
	    touch($endAnalysisTimeFlag);  
	}
    }
    if($errCode > 0) {
	echo "<script language=\"Javascript\">\n";
	echo "<!--\n";
	echo "location = \"analysis.php?anaStage=0&errCode=$errCode\" \n";
	echo "//--> \n";
	echo "</script> \n";	
    } else {
	$beginTime=date("H:i:s d/M/Y",$beginTimestamp);
	$endTime  =date("H:i:s d/M/Y",$endTimestamp);
	echo "<script language=\"Javascript\">\n";
	echo "<!--\n";
	echo "location = \"analysis.php?anaStage=2&beginTime=".$beginTime."&endTime=".$endTime."$myNameOption&type=".$type."&HistoOrGraphOpt=Graph&makeNodePlots=".$makeNodePlots."\" \n";
	echo "//--> \n";
	echo "</script> \n";
    }
}
#
# Stage when all OK, plots made ,now jjust navigte the plots
#
if($anaStage == 2) {
    global $type;    
    global $HistoOrGraphOpt;
    global $myGroup;
    global $beginTime;
    global $endTime;
 
    hostInfo();
    
    $fileNameRoot                     = "../plots/".$myUser."/".$myUser.".root";
    $plotGroups                       = getPlotGroup();    
    $plotGroupNumber                  = count($plotGroups);    
    if ( empty ($myGroup))  $myGroup  = $plotGroups[2]; 

    echo "<div id=mainlist4>\n";
    echo "<table cellpadding=2 cellspacing=2 border=0 width=\"5%\" valign=top>\n";
    echo "<tr>\n";
    echo "<td><img src=\"Images/blank.gif\" width=100 height=0> </td>";
    foreach ($periods as $period => $desc) echo "<td> <img src=\"Images/blank.gif\" width=78 height=0></td>\n";
    echo "</tr>\n";
    if ( $plotGroupNumber > 1  ) {
	# what if $plotGroupNumber <= 1 ????
        $myNameOption="";
	if (strlen($myName) ===false) {
	}else {
	    $myNameOption=$myNameOption."&myName=$myName";
	}

	$i = 0;
	foreach ($plotGroups as $plotGroup) {
	    if ($i == 0)  $varColor[$i] = "#E7A1B0";
	    if ($i == 1)  $varColor[$i] = "#E7A1B0";
	    if ($i > 1)   $varColor[$i] = "#6699CC";
	    $i++;
	}
	echo "<tr>\n";
	echo "<td align=\"right\" bgcolor= \"yellow\">plot group:</td>";
	$i = 0;	    
	foreach ($plotGroups as $plotGroup) {		

	    if ($i++ == 6)   echo "</tr><tr><td align=\"right\"> </td>";		
#	    $tmpLink ="<a href=\"analysis.php?anaStage=2&beginTime=$beginTime&endTime=$endTime&type=".$type."&myPlotDir=".$myPlotDir."&myGroup=".$plotGroup."&HistoOrGraphOpt=$HistoOrGraphOpt&anaStage=2&makeNodePlots=$makeNodePlots&beginTime=$beginTime&endTime=$endTime$myNameOption\">".$plotGroup."</a>";
	    $tmpLink ="<a href=\"analysis.php?anaStage=2&beginTime=$beginTime&endTime=$endTime&type=".$type."&myGroup=".$plotGroup."&HistoOrGraphOpt=$HistoOrGraphOpt&anaStage=2&makeNodePlots=$makeNodePlots&beginTime=$beginTime&endTime=$endTime$myNameOption\">".$plotGroup."</a>";
	    $tmpCol  = "#00FF00";
	    if ($myGroup == $plotGroup) $tmpCol=$varColor[$i-1];
	    echo "<td bgcolor=".$tmpCol." align=\"center\">".$tmpLink."</td>\n";
	}
	echo "</tr>\n";
    }
    
    echo "</table>\n";
    echo "</div>\n";
    
    
    echo "<table cellpadding=2 cellspacing=2 border=0 width=\"5%\" valign=top>\n";
    echo "<tr><td valign=top><img src=\"Images/blank.gif\" alt=\"white space\" width=500 height=0></td></tr>\n";
    echo "</table>\n";

#    echo "<br>hissss $HistoOrGraphOpt type is $type user is $myUser name is $myName <br>";


    if (strpos($HistoOrGraphOpt,"Histo") === false) {
	$files = getOfflineParameters($type,$myUser, $myName);
	foreach ($files as $f) if ( strpos($f,$type) >= 0 && strpos($f,"Graph") >= 0 ) outOfflinePlotTable($f,$myUser,"Graph",$myGroup);	    
	
    } elseif (strpos($HistoOrGraphOpt, "Graph") ===false) {
	$files = getOfflineParameters($type,$myUser, $myName);
	foreach ($files as $f) if ( strpos($f,$type) >= 0 && strpos($f,"Histo") >= 0 ) outOfflinePlotTable($f,$myUser,"Histo",$myGroup);	
    }
}

?>


<?php

function selectAnaPars() {
    global $types;
    global $dateFormOption;
    global $errCode;
    global $errCodes;
    
# have default for end time 24 hours ago
# have default for begin time 48 hours ago
    $fullTimestamp = strtotime ("now");
    $oneDaySec= 60*60*24;
    
    $defBeginYear  = date("Y",$fullTimestamp-2*$oneDaySec);
    $defBeginMonth = date("m",$fullTimestamp-2*$oneDaySec);
    $defBeginDay   = date("d",$fullTimestamp-2*$oneDaySec);
    $defBeginHour  = date("H",$fullTimestamp-2*$oneDaySec);
    $defBeginMin   = date("i",$fullTimestamp-2*$oneDaySec);
    
    
    $defEndYear    = date("Y",$fullTimestamp-$oneDaySec);
    $defEndMonth   = date("m",$fullTimestamp-$oneDaySec);
    $defEndDay     = date("d",$fullTimestamp-$oneDaySec);
    $defEndHour    = date("H",$fullTimestamp-$oneDaySec);
    $defEndMin     = date("i",$fullTimestamp-$oneDaySec);

    $defaultBeginTime = $defBeginHour."/".$defBeginMin."/00:".$defBeginDay."/".$defBeginMonth."/".$defBeginYear;
    $defaultEndTime   = $defEndHour."/".$defEndMin."/00:".$defEndDay."/".$defEndMonth."/".$defEndYear;
    ereg("(.*)\/(.*)\/(.*):(.*)\/(.*)\/(.*)",$defaultBeginTime, $reOut) ;

   
    echo "<div id=mainlist3>\n";    
    if ($errCode > 0) {
	echo "<br><br><br><P>Error: <b class=error> \n";
	echo $errCodes[$errCode]."</b> Try again.";
	echo "</P><br><br>";
    }
    echo "<P>\n";
    echo "This page allows creation of plots for an arbitrary time period. \n";
    echo "In addition to the standard files, histograms are also created.</P>\n";
   
    echo "<form action=\"analysis.php\" method=\"POST\" name=\"pickRange\">\n";

    echo "<table cellpadding=2 cellspacing=2 border=0 width=\"5%\" valign=top>\n";
    echo "<tr><td><img src=\"Images/blank.gif\" width=100 height=0></td><td><img src=\"Images/blank.gif\" width=100 height=0></td>\n";
    echo "<td><img src=\"Images/blank.gif\" width=200 height=0></td><td><img src=\"Images/blank.gif\" width=250 height=0></td>\n";
    echo "</tr><tr>\n";
    echo " <td class=center> start time  <br>  <b class=note> (default 2 days ago) </b></td>";
    echo " <td class=center> end time  <br> <b class=note> (default 1 day ago)</b> </td>";
    echo " <td class=center> monitoring set <br> <b class=note> (warning: </b><b class=blueerror> ALL </b> <b class=note>takes a long time) </b> </td>";
    echo " <td class=center> Generate plots for one node? <br> <b class=note> (note:all monitoring sets will be run)</b> </td>";
    echo "</tr><tr>\n";
    echo " <td class=center><input type=\"text\" name=\"beginTime\" value=$defaultBeginTime></td>";
    echo " <td class=center> <input type=\"text\" name=\"endTime\"  value=$defaultEndTime></td>";
    echo "<td class=center>  <select name=\"reqMonset\">\n";
    $typeCount = 0;
    foreach ($types as $typex) {
	$selectedString ="";
	$typeCount++;
	if ($typeCount == 1) {
	    $selectedString = "SELECTED";
	    $selectedType   = $typex;
	}
	echo " <option value=\"$typex\" $selectedString>$typex</option>\n";
    }
    echo "    <option value=\"All\">All</option>\n";
    echo "    <option value=\"None\">None</option>\n";
    echo "  </select>\n";
    echo "</td>\n";	



   echo "<td class=center>  <select name=\"myName\">\n";
    $f = getAllComputers();
    echo " <option value=\"NoneNode\" \"SELECTED\">None</option>\n";
    foreach ($f as $comp) {
	$selectedString ="";
	$comp2    = GetNoDot($comp);
#	$myName   = urlencode($comp2);
#	$line     = (($pos = strpos($comp, ".")) ? substr($comp, 0, $pos) : chop($line));
	echo " <option value=\"$comp2\">$comp</option>\n";
    }
    echo "  </select>\n";
    echo "</td>\n";	

###############

    echo "</tr><tr>\n";
    echo "<td colspan=\"4\"> <img src=\"Images/blank.gif\"  width=1 height=20> </td> \n";
    echo "</tr><tr>\n";
    echo "<td colspan=\"2\"> Press button to create plots: </td><td> \n";
    echo "<input type=submit style=\"background: #036; font-size: 16px;color: #FFF; \" value=\"create plots\">";
    echo "<input type=\"hidden\" name=\"anaStage\" value=1></td><td></td>";        
    echo "</table>";
    echo "<br><br>";

    echo "</center>\n";

    echo "<P> If you want to inspect plots you previously created, \n";
    echo "<a href=\"analysis.php?anaStage=2&makeNodePlots=on&type=$selectedType&HistoOrGraphOpt=Graph\"> click here </a> </P> \n";

    echo "<h1> Notes:</h1>\n";
    echo "<UL id=\"nicelist\">\n";
    echo "<LI class=\"bullet\"> Date format is <b class=green> HH/MM/SS:DD/MM/YYYY </b>(hour/minute/second:day/month/year)</LI> \n";
    echo "<LI  class=\"bullet\">  Date format examples:</LI>\n"; 
    echo "<LI class=\"level2\"> <b> $defaultBeginTime</b> (two days ago)</LI>\n";
    echo "<LI class=\"level2\"> <b>  $defaultEndTime</b> (one day ago)  </LI>\n";
    echo "<LI class=\"bullet\">One can create summary plots for a particular monitoring set or all monitoring sets,  and/or plots for an individual node </LI>\n";    
    echo "</UL>\n";
    echo "</div>\n";

#    showOfflineDataHistory();

#    selectNodeTable();
    echo "</form>\n";
    
}


#
#
#
function outAnalysisLinksLeft() {
    $linkFontSize=2;
    global $HistoOrGraphOpt;
    global $myName;
    global $myGroup;
    global $types;
    global $typesDesc;
    global $beginTime;
    global $endTime;
    global $anaStage;
    global $type;
    global $makeNodePlots;
    
    
    echo "<br>\n";
    echo "<table>\n";
    echo "<TR>\n";
    echo "<td valign=\"top\">   \n";
    echo "<!--  left row table  --> \n";
    
    if ($anaStage == 2) {
	$defHistoOrGraphOpt = "Histo";
	if ($HistoOrGraphOpt=="Graph") $defHistoOrGraphOpt="Graph";
	
    
	$myNameOption="&anaStage=2&beginTime=$beginTime&endTime=$endTime&myGroup=$myGroup&makeNodePlots=$makeNodePlots";
	if (strlen($myName) > 1) {
	    $myNameOption=$myNameOption."&myName=$myName";
	}
	
	echo "<div id=\"navcontainer\">  \n";
	echo "<UL>  \n";
	
	$markHistoActive = ""; if ($HistoOrGraphOpt=="Histo")  $markHistoActive = "id=\"active\"";
	$markGraphActive = ""; if ($HistoOrGraphOpt=="Graph")  $markGraphActive = "id=\"active\"";
	
	echo "<LI $markHistoActive ><a href=\"analysis.php?HistoOrGraphOpt=Histo&type=$type$myNameOption\"> Histograms </a></LI>\n";
	echo "<LI $markGraphActive ><a href=\"analysis.php?HistoOrGraphOpt=Graph&type=$type$myNameOption\"> Graphs </a></LI>\n";
	
	echo "<LI><img src=\"Images/blank.gif\"  height=\"2\" width=\"0\"></LI>\n";
	foreach ($typesDesc as $typex=>$desc ) {
	    $desc2=str_replace("_"," ",$desc);
	    $markTypesActive = "";
	    if ($typex == $type) $markTypesActive = "id=\"active\"";
	    echo "<LI $markTypesActive ><a href=\"analysis.php?type=".$typex."&HistoOrGraphOpt=$defHistoOrGraphOpt$myNameOption\">".$desc2." plots </a></LI>\n";
	}
	if (strlen($myName) > 1) {
	    echo "<LI><img src=\"Images/blank.gif\"  height=\"5\" width=\"0\"></LI>\n";
	    $myNameOption="&anaStage=2&beginTime=$beginTime&endTime=$endTime&myGroup=$myGroup&makeNodePlots=$makeNodePlots";
	    echo "<LI id=yellow><a href=\"analysis.php?type=".$typex."&HistoOrGraphOpt=$defHistoOrGraphOpt$myNameOption\">show summary plots </a></LI>\n";
	}

	echo "</UL>\n";
	echo "</div>\n";    
	echo "</td>\n";
    } else {
	echo " <img src=\"Images/blank.gif\"  width=100 height=0 valign=\"top\"></td>\n";	
    }
    
    echo "<!--  right text row  -->\n";
    echo "<td valign=\"top\"> <img src=\"Images/blank.gif\"  width=1 height=0 valign=\"top\">\n";        
}


function outOfflinePlotTable($id, $defPeriod = "user",$histoOrGraph = "Histo", $defGroup = "") {    
    global $periods, $defaultPeriod;
    if (empty($defPeriod)) $defPeriod = $defaultPeriod;
    
    $fileNameEps = "../plots/".$defPeriod."/".$id."_".$defPeriod.".eps";
    $fileNamePng = "../plots/".$defPeriod."/".$id."_".$defPeriod.".gif";

    if ( strpos($fileNameEps,"Histo") === false ) {
	$plotType="Graph";
    } else {
	$plotType="Histo";
    }

  $testgroup = ereg("^.*_(".$defGroup.")_",$id,$rexx) ;
#  echo "<br>aa file name is $fileNameEps <br>";
#    if ( (file_exists($fileNameEps)) && ($plotType == $histoOrGraph)  && ( ereg($defGroup,$id) == true || $defGroup == "ALL" )  ) {
    if ( (file_exists($fileNameEps)) && ($plotType == $histoOrGraph)  && ( $testgroup > 0 || $defGroup == "ALL" )  ) {
	if (!file_exists($fileNamePng) ) {
	    system("../support/convert $fileNameEps $fileNamePng >& /dev/null ");
	}

	echo "<table cellspacing=\"0\" cellpadding=\"5\" border=\"0\">\n";
	echo "  <tr valign=\"top\">\n";
	echo "    <td>\n";
	echo "      <table cellspacing=\"1\" cellpadding=\"2\" border=\"0\">\n";
	echo "        <tr>\n";
	echo "          <td colspan=\"4\"><img src=".$fileNamePng." width=\"600\" height=\"220\"><br></td>\n";
	echo "        </tr>\n";
	echo "  <tr><td bgcolor=\"white\" align=\"center\" > <a href=\"".$fileNameEps."\"> download eps </a></td> </tr>\n";
	echo "      </table>\n";
	echo "    </td>\n";
	echo "    <td>\n";
	echo "    </td>\n";
	echo "  </tr>\n";
	echo "</table>\n";
	echo "\n";
	echo "<p><img src=\"Images/line.jpg\" width=\"500\" height=\"5\" alt=\"\" border=\"0\"></p>\n";
	echo "\n";
    }
}


function getOfflineParameters($myType,$myUser,$myName) {
    if (isset($myType) && strlen($myName) > 2 ) {
	$myName = GetWithDot($myName);
	return getOfflineParametersForOneTypeAndOneName($myType,$myUser,$myName);
    }
    else {
	return getOfflineParametersForOneType($myType,$myUser);
    }
}


function getOfflineParametersForOneType($myType,$myUser) {
  global $gUseMysql;
  //read entire file into array
  //  echo "<br>sss <br> \n";
  if (!$gUseMysql) {
    $fcontents = @file("../log/${myUser}_${myType}_PlotList.log");
    if (!$fcontents) $fcontents = array();
    $result = array();
    foreach ($fcontents as $line) if (ereg("^(.*)_", trim($line), $reOut)) $result[$reOut[1]] = 1;
  } else {
    $sql = "SELECT * FROM AFFAIR_PLOTLIST  WHERE MONSET = '$myType' AND USER = 'user' AND  PLOT_SCOPE = 2 ORDER BY NAME";
#    echo "<br>sql is $sql <br>\n";
    $sqlRes = mysql_query($sql);
    while ($myrow = mysql_fetch_array($sqlRes) ) {
      // printf("<br> %s %s %s %s %s <br>\n", $myrow["NAME"], $myrow["PLOT_TYPE"], $myrow["MONSET"], $myrow["PLOT_SCOPE"], $myrow["USER"]);
      $result[$myrow["NAME"]] = 1;
    }


  }
    $result = array_keys($result);
    sort($result);
   return $result;
}

function getOfflineParametersForOneTypeAndOneName($myType,$myUser,$myName) {
  global $gUseMysql;
  //read entire file into array
  //  echo "<br>sss <br> \n";
  if (!$gUseMysql) {
    $fcontents = @file("../log/${myUser}_${myType}_EachPlotList.log");
    if (!$fcontents) $fcontents = array();
    $result = array();
    foreach ($fcontents as $line) if (ereg(".*(\/.*)_", trim($line), $reOut)) $result[$myName."/".$reOut[1]] = 1;  
  } else {
    $sql = "SELECT * FROM AFFAIR_PLOTLIST  WHERE MONSET = '$myType' AND USER = 'user' AND  PLOT_SCOPE = 1 ORDER BY NAME";
    $sqlRes = mysql_query($sql);
    while ($myrow = mysql_fetch_array($sqlRes) ) {
      $result[$myName."/".$myrow["NAME"]] = 1;
    }
  }
  $result = array_keys($result);
  sort($result);
  return $result;
}



function outAnalysisLinksRight() {
$linkFontSize=2;
global $type, $types, $colorCode;
global $typesDesc;
global $beginTime;
global $endTime;
global $myGroup;
global $myUser;

 echo "<td valign=top align=left>\n";
echo "<table  cellpadding=2 cellspacing=2 border=0 width=\"5%\" valign=top>\n";
 echo "<tr>";

$myNameOption="&anaStage=2&beginTime=$beginTime&endTime=$endTime&myGroup=$myGroup&makeNodePlots=on";

// f is an array which contains list of computers
   foreach ($typesDesc as $typex=>$desc ) {
       if ($typex == $type) {
	   $f = GetComputerList();
	   $arrCount = count($f);
	   if ( $arrCount > 1) {
	       $urlTypeSufix = "type=".urlencode($type)."&";
	       $cntLocal     = 0;
	       $cnt          = 0;

	       foreach ($f as $comp) {
		   $cnt++;
		   $rrdName = "../rrd/".$comp."_".$type.".rrd";
#		   if (!file_exists($rrdName)) continue;
		   if (!file_exists("../plots/".$myUser."/".$comp)) continue;
		   $cntLocal++;	         
		   if ($cntLocal == 1) {
		       echo "<td valign=top>\n";	     
		       echo "<table  cellpadding=2 cellspacing=2 border=0 width=\"5%\" valign=top>\n";
		       echo "<tr><td><img src=\"Images/blank.gif\" width=10 height=0></td><td><img src=\"Images/blank.gif\" width=80 height=0></td></tr>\n";
		       echo "<tr><td bgcolor=yellow><img src=\"Images/blank.gif\" width=0 height=40></td><td bgcolor=yellow><font size=2>".$desc."</td></tr>\n";
		   }
		   $comp2    = GetNoDot($comp);
		   $myName   = urlencode($comp2);
		   $line     = (($pos = strpos($comp, ".")) ? substr($comp, 0, $pos) : chop($line));
		   $ref      = "<a href=\"analysis.php?HistoOrGraphOpt=Histo&type=$type$myNameOption&myName=$myName\">$line</a>";
		   $colIndex = ($cntLocal-1)%10;
		   $myColor  = $colorCode[$colIndex];
		   echo "<tr><td bgcolor=$myColor></td><td bgcolor= \"#BDEDFF\"><font size=2>".$ref."</td></tr>\n";
	       }
	       echo "</table>\n";       
	       echo "</td>\n";
	   }
       }
   }
   echo "</tr>";
   echo "</table>\n";
   echo "</td>\n";
}



function hostInfo() {
    global $type;
    global $myUser;
    global $beginTime;
    global $endTime;
    global $myName;
    
    $myNameOption="";
    if (strlen($myName) < 2) {
    }else {
	$myNameOption="<h2>&nbsp &nbsp ".GetWithDot($myName)."</h2>";
    }

    echo "<div id=\"mainlist4\">\n";
    echo "$myNameOption <h3> user: <b>$myUser</b>  &nbsp monitoring set:  <b>$type</b><br> from <b>$beginTime </b> to <b>$endTime</b></h3>\n";
    echo "</div>\n";
}

function createPS() {
    global $myUser;
    global $beginTime;
    global $endTime;
    echo "<div id=\"mainlist4\">\n";
    echo "<h2> user: <b>$myUser</b>  &nbsp monitoring set:  <b>$type</b><br> from <b>$beginTime </b> to <b>$endTime</b></h2>\n";
    echo "</div>\n";

}


 function showOfflineDataHistory() {
  global $gUseMysql;
  $linkFontSize=2;
  global $type, $types, $colorCode;
  global $typesDesc;
  global $beginTime;
  global $endTime;
  global $myGroup;
  global $myUser;

  //loop over all nodes 
  // for each node add a row
  // for each node
  // f is an array which contains list of computers
  echo "<br>aaa<br>";
  foreach ($typesDesc as $typex=>$desc ) {
    echo "<br>xxtype is $typex desc is $desc <br>";
    $type = $typex;
      $f = GetComputerList();
      $arrCount = count($f);

      $fullTimestamp = strtotime ("now");
      $oneDaySec     = 60*60*24;
      $oneWeekAgo    = $fullTimestamp - $oneDaySec*7;

      echo "<br>type is $type  arrCount is $arrCount <br>";
      if ( $arrCount > 1) {
	$urlTypeSufix = "type=".urlencode($type)."&";
	$cntLocal     = 0;
	$cnt          = 0;
	
	foreach ($f as $comp) {
	  $cnt++;
	  $rrdName = "../rrd/".$comp."_".$type.".rrd";
	  $cntLocal++;	         
	  echo "<br>2 ss $rrdName<br>";
          $sql = "SELECT BEGIN,END FROM affair.AFFAIR_ROOTFILELIST WHERE BEGIN <='%s' AND  END >='%s' AND MONSET = '$type'  AND COMPUTER = '$comp'";

	  $sqlRes = mysql_query($sql);
	  while ($myrow = mysql_fetch_array($sqlRes) ) {
	    echo "<br> ".$myrow["FILE"]." ".$myrow["BEGIN"]." ".$myrow["END"]." <br>";
	  }
	}
      }
    
  }
 }

?>




<!-- now comes 3rd entry in main table- blank space-->
</td> <td> <img src="Images/blank.gif" alt="white space" width=25 height=5> </td>

<!-- now comes 4th entry in main table -list of color-coded nodes inside -->
<?php

    if ($anaStage == 2 && $makeNodePlots == "on") outAnalysislinksRight();
    outFoot();

?>
