<?php
  require("./common.inc");
// this is where all the plots are made, with the different time periods
  $timeOut = 30; // timeout in seconds
    $expected=array(
		    'type',   
		    'name',
		    'myPeriod',   
		    'myRefresh',   
		    'myGroup'		    
		    ); 
foreach ($expected as $formvar) $$formvar = (isset(${"_$_SERVER[REQUEST_METHOD]"}[$formvar]))?${"_$_SERVER[REQUEST_METHOD]"}[$formvar]:NULL;


mustHaveType();
$files = getParameters();
if ( empty ($myRefresh)) $myRefresh = $defaultRefreshTime; 
// in files is the stub name of the plot, like SYSMON_CPUUser0
//or, for individual computers, like joshua1.irb.hr/_SYSMON_MBytesIn_Each
 	if (isset($name)) {
	$nameNoDot =str_replace("dottobereturned",".",$name);
  	outTitle(createHeadersEach(),$myRefresh);
        }
        else {
  	outTitle(createHeaders(),$myRefresh);
	}

        if (isset($type) && isset($name)){	
	    $nameWithDot =GetWithDot($name);
	    if (!file_exists("../log/${type}_$nameWithDot") ||
             	(time() - filemtime("../log/${type}_$nameWithDot") > $timeOut)) {
		@system("./doOneComputer.sh $type $nameWithDot ");
	    }
	    else {
	    }		
	}


// this is only used if for individual computers
  function hostInfo() {
    global   $name;
    global   $gUseMysql;
    $params  = array();

    $nameWithDot =GetWithDot($name);

    if (!$gUseMysql) {
      $fcontents = @file("../log/hostInfo.log");
      if (!$fcontents) $fcontents = array();
      foreach ($fcontents as $line) {
	$line = trim($line);
	$params = split("[[:space:]]+", $line);
	if ($params[0] == $nameWithDot) break; else $params = array();
      }
    } else {
      $sql    = "SELECT * FROM AFFAIR_HOSTINFO WHERE COMPUTER = '$nameWithDot'";
      $sqlRes = mysql_query($sql);
      if ($sqlRes) {
	while ($myrow = mysql_fetch_array($sqlRes) ) {
	  $params[1]= $myrow["TYPE"];
	  $params[2]= $myrow["KERNEL"];
	  $params[3]= $myrow["PROC_NUMBER"];
	  $params[4]= $myrow["CPU_FREQUENCY"];
	  $params[5]= $myrow["MAX_MEMORY"];
	}
      }
    }

    $niceNumber = number_format($params[4], 0, '.', '');
    echo "<div id=\"mainlist4\">\n";
    echo "<h2> &nbsp &nbsp $nameWithDot</h2>\n";
    echo "<h3> system:<b>$params[1], $params[2]</b> &nbsp &nbsp CPUs:<b>$params[3]</b>&nbsp &nbsp Frequency:<b> $niceNumber Mhz</b>&nbsp &nbsp RAM:<b>$params[5] MB</b> </h3>\n";
    echo "</div>\n";
  }

?>


<table  width=\"5%\">
<tr>
<?php
    outlinksleft();
    if (isset($name)) hostInfo();
?>


<?php
if ( empty ($myPeriod)) $myPeriod = $defaultPeriod; 

$plotGroups = getPlotGroup();
$plotGroupNumber = count($plotGroups);
if ( empty ($myGroup)) $myGroup = $plotGroups[0]; 

$eachNodeLink ="";
if (isset($name)){
    $eachNodeLink="&name=".$name;
}




echo "<div id=mainlist4>\n";
echo "<table cellpadding=2 cellspacing=2 border=0 width=\"5%\" valign=top>\n";
echo "<tr>\n";
echo "<td><img src=\"Images/blank.gif\" width=100 height=0> </td>";
foreach ($periods as $period => $desc) {
    echo "<td> <img src=\"Images/blank.gif\" width=78 height=0></td>\n";
}
echo "</tr>\n";


if ( $plotGroupNumber > 1  ) {
    $i = 0;
foreach ($plotGroups as $plotGroup) {
    if ($i == 0)  $varColor[$i] = "#E7A1B0";
    if ($i == 1)  $varColor[$i] = "#E7A1B0";
    if ($i > 1)   $varColor[$i] = "#6699CC";
    $i++;
}
echo "<tr>\n";
echo "<td align=\"right\" bgcolor= \"yellow\">plot group:</td>";
    $i = 0;
foreach ($plotGroups as $plotGroup) {

    if ($i++ == 6) {
	echo "        </tr>\n";
	echo "        <tr>\n";
	echo "<td align=\"right\"> </td>";
    }

    if ($myGroup == $plotGroup) {
	echo "<td bgcolor= \"#00FF00\" align=\"center\"><a href=\"types.php?type=".$type.$eachNodeLink."&myPeriod=".$myPeriod."&myRefresh=".$myRefresh."&myGroup=".$plotGroup."\">".$plotGroup."</a></td>\n";
    }  else {
	echo "<td bgcolor=".$varColor[$i-1]." align=\"center\"><a href=\"types.php?type=".$type.$eachNodeLink."&myPeriod=".$myPeriod."&myRefresh=".$myRefresh."&myGroup=".$plotGroup."\">".$plotGroup."</a></td>\n";
    }
}
echo "</tr>\n";
}

echo "<tr>\n";
echo "<td align=\"right\" bgcolor= \"yellow\">time period:</td>";
foreach ($periods as $period => $desc) {


    if ($period == $myPeriod) {
	echo "<td bgcolor= \"#00FF00\" align=\"center\"><a href=\"types.php?type=".$type.$eachNodeLink."&myPeriod=".$period."&myRefresh=".$myRefresh."&myGroup=".$myGroup."\">".$period."</a></td>\n";
    } else {
	echo "<td bgcolor= \"#6699CC\" align=\"center\"><a href=\"types.php?type=".$type.$eachNodeLink."&myPeriod=".$period."&myRefresh=".$myRefresh."&myGroup=".$myGroup."\">".$period."</a></td>\n"; 
   }
}
echo "</tr>\n";
echo "<tr>\n";
echo "<td align=\"right\" bgcolor= \"yellow\"> Refresh time:</td>";
foreach ($refreshTimes as $refreshTime => $desc) {
    if ($desc == $myRefresh) {
	echo "<td bgcolor= \"#00FF00\" align=\"center\"><a href=\"types.php?type=".$type.$eachNodeLink."&myPeriod=".$myPeriod."&myRefresh=".$desc."&myGroup=".$myGroup."\">".$refreshTime."</a></td>\n";
    } else {
	echo "<td bgcolor= \"#6699CC\" align=\"center\"><a href=\"types.php?type=".$type.$eachNodeLink."&myPeriod=".$myPeriod."&myRefresh=".$desc."&myGroup=".$myGroup."\">".$refreshTime."</a></td>\n"; 
   }
}


echo "</tr></table>\n";
echo "</div>\n";

if ($myGroup == "CURRENT") {
//    $files = getCurrentParameters();
    foreach ($files as $f) {
//	echo "<br> nae is $f <br>";
	if (isset($name)) {
//	    outPlotTableEach($f,$myPeriod,$myGroup);
	}
	else {
//		outCurrentPlotTable($f);	
	}
    }
} else {
    foreach ($files as $f) {
	//  echo "file is  $f \n name is $name myGroup is $myGroup \n";
	if (isset($name)) {
	    outPlotTableEach($f,$myPeriod,$myGroup);
	}
	else {
	    if ($myGroup == "CURRENT") {
//		outCurrentPlotTable($f);	
	    } else {
		outPlotTable($f,$myPeriod,$myGroup);
	    }
	}
    }
}

?>

<!-- now comes 4th entry in main table -list of color-coded nodes inside -->
<?php
    outlinksRight();
    outFoot();
?>
