#ifndef DIM_HH
#define DIM_HH

#include "dim_common.h"
#include "sllist.hxx"
#include "dllist.hxx"

class DimCore
{
public:
	static int inCallback;
};

class DllExp DimTimer
{
public:
	int firedFlag;
	int runningFlag;
	DimTimer() { runningFlag = 0; };
	DimTimer(int time)
	{ 
		start(time);
	};
	~DimTimer()
	{
		if(runningFlag)
			stop();
	}
	void start(int time);
	void stop();
	int fired() { return firedFlag;}; 
	void clear() { firedFlag = 0;};
	virtual void timerHandler() { };
};

#endif
