package dim;


public class DimClient
{
    private DimClient(){} // we do not allow instantiation of this class

    public static int sendCommand(String name, String theData)
    {
        return Client.send(name, null, Client.F_WAIT, 0, theData);
    }
    public static int sendCommand(String name, int theData)
    {
        return Client.send(name, null, Client.F_WAIT, 0, theData);
    }
    public static int sendCommand(String name, float theData)
    {
        return Client.send(name, null, Client.F_WAIT, 0, theData);
    }
    public static int sendCommand(String name, double theData)
    {
        return Client.send(name, null, Client.F_WAIT, 0, theData);
    }
    public static int sendCommand(String name, int[] theData)
    {
        return Client.send(name, null, Client.F_WAIT, 0, theData);
    }
    public static int sendCommand(String name, float[] theData)
    {
        return Client.send(name, null, Client.F_WAIT, 0, theData);
    }
    public static int sendCommand(String name, double[] theData)
    {
        return Client.send(name, null, Client.F_WAIT, 0, theData);
    }
    public static int sendCommandNB(String name, String theData)
    {
        return Client.send(name, null, 0, 0, theData);
    }
    public static int sendCommandNB(String name, int theData)
    {
        return Client.send(name, null, 0, 0, theData);
    }
    public static int sendCommandNB(String name, float theData)
    {
        return Client.send(name, null, 0, 0, theData);
    }
    public static int sendCommandNB(String name, double theData)
    {
        return Client.send(name, null, 0, 0, theData);
    }
    public static int sendCommandNB(String name, int[] theData)
    {
        return Client.send(name, null, 0, 0, theData);
    }
    public static int sendCommandNB(String name, float[] theData)
    {
        return Client.send(name, null, 0, 0, theData);
    }
    public static int sendCommandNB(String name, double[] theData)
    {
        return Client.send(name, null, 0, 0, theData);
    }
    public static int setExitHandler ( String serverName)
    {
        return Client.send(serverName + "/SET_EXIT_HANDLER", null, 0, 0, (int) 1);
    }
    public static int killServer ( String serverName)
    {
        return Client.send(serverName + "/EXIT", null, 0, 0, (int) 1);
    }

    /**  @todo look at these not implemented client functions
     *   public static void change_address(int service_id, int new_address, int new_size);
     *   public static native int find_service(string name);		// not implemented ?
     *   public static native string get_id();				// name@node of client ??
     *   public static native int get_quality(int service_id);
     *   public static native int get_timestamp(int service_id, int *secs, int *milisecs);
     *   public static native string get_format(int service_id);
     *   public static native void disable_padding();			// not implemented ?
     */

}
