//-----------------------------------------------------------------------
//                         ActionHeadBlock  Class
//                                                 B. Franek
//                                                 23 November 1999
//-----------------------------------------------------------------------
//
#include <stdlib.h>
#include <assert.h>
#include <string.h>
#include "actionheadblock.hxx"
#include "smlunit.hxx"
#include "smlline.hxx"
#include "name.hxx"
#include "utilities.hxx"

//--------------------------- Constructors -------------------------------

ActionHeadBlock::ActionHeadBlock ( ) 
	: SMLUnit("action head block",2) {
	return;
}

ActionHeadBlock::~ActionHeadBlock() {
    delete _pSMLcode;
}

  
void ActionHeadBlock::translate() {

/*	_pSMLcode->out();
	SMLline line; char* pLine;*/


    Name token; int idel,jdel; int inext,jnext;
	int ist,jst;
	char del = getNextToken(_pSMLcode,0,0,":",token,idel,jdel,inext,jnext);
	token.upCase(); token.trim();
	if ( token == "ACTION"){}
	else { cout << " Keyword action not found" << endl; exit(2);}
    ist = inext; jst = jnext;

//	line = (*_pSMLcode)[ist];pLine = line.getString();

	del = getNextToken(_pSMLcode,ist,jst," (",token,idel,jdel,inext,jnext);

/*	cout << " idel,jdel " << idel << ", " << jdel << "  del |" << del << "|" << endl;
	cout << " next,jnext " << inext << ", " << jnext << endl;*/

	if ( del != '(' ) {
		if ( inext >= 0 ) {
			cout << " Unrecognised code following action declaration" << endl;
			_pSMLcode->out(" ");
			exit(2);
		}
		else {
			return;
		}
	}

	ist = idel; jst = jdel;
	if ( !_parameters.initFromSMLcode( 1, _pSMLcode, ist,jst,inext,jnext)) {
		cout << " Parameter parsing failed " << endl;
		exit(2);
	}

	return;

/*	ist = inext; jst = jnext;
    int iend,jend;
//	cout << " Calling parseParameters  ist,jst " << ist << ", " << jst << endl;
	if (parseParameters(ist,jst,1,&_parameters,iend,jend)) {
//		cout << " Parameter parsing successfull " << endl;
		return;
	}
	cout << " Parameter parsing failed " << endl;
    exit(2);*/
}

void ActionHeadBlock::out(const Name offset) const
{

	SMLUnit::out(offset); 
	char* ptn=offset.getString(); cout << ptn << endl;
	_parameters.out(offset);

}
//-------------------------------------------  BF April 2000  --------------------
Parms* ActionHeadBlock::pParameters()
{
	return &_parameters;
}
