// setins.hxx: interface for the SetIns class.
//
//                                                  B. Franek
//                                                30 September 1999
//
//////////////////////////////////////////////////////////////////////
#ifndef SETINS_HH
#define SETINS_HH

#include "instruction.hxx"

class SetIns  : public Instruction 
{
public:
	SetIns();

	virtual ~SetIns();

	virtual void translate() ;

	void out(const Name offset) const;

	virtual void outSobj(int&,int,ofstream& sobj, Registrar&) const;


protected :

  int _insType;

  Name _objectParamNm, _otherObjectNm, _otherParamNm, _actionParamNm;
  Name _value;

};

#endif 
