//-----------------------------------------------------------------------
//                         SMIObjectSet  Class
//                                                 B. Franek
//                                                 26 March 1999
//-----------------------------------------------------------------------
//
#include <stdlib.h>
#include <assert.h>
#include "smlline.hxx"
#include "smiobjectset.hxx"

//--------------------------- Constructors -------------------------------

SMIObjectSet::SMIObjectSet
       ( const Name& name)
	   : SMLUnit("Object_Set",20) {
    _name = name;
    _isOfClass = "UNKNOWN";

	cout << endl << "Object Set  " << _name << endl;
}

SMIObjectSet::~SMIObjectSet() {
    delete _pSMLcode;
}

void SMIObjectSet::translate() {
	cout << endl << " ***translate in SMIObjectSet not implemented yet\n";
}

void SMIObjectSet::outSobj(ofstream& sobj) const
{
	cout << endl << " ****   outSobj  in SMIObjectSet not implemented yet\n";
}


