//-----------------------------------------------------------------------
//                         State  Class
//                                                 B. Franek
//                                                 28 March 1999
// Copyright Information:
//      Copyright (C) 1999/2000 CCLRC. All Rights Reserved.
//-----------------------------------------------------------------------
//
#ifndef STATE_HH
#define STATE_HH
#include "name.hxx"
#include "attributeblock.hxx"
#include "registrar.hxx"
#include "smlunit.hxx"

class  State : public SMLUnit {

	public :

		State (const Name& name, const Name& subobj);

		virtual ~State();

		virtual void translate();

		Name subObject() const;

		void out(const Name) const;

		virtual void outSobj(ofstream& sobj) const;

	protected :

		Name  _subobjectName;

		AttributeBlock *_pAttributeBlock;

		Registrar _whens;

		Registrar _actions;

};
#endif
