// when.hxx: interface for the When class.
//
//                                                  B. Franek
//                                                 23 September 1999
//
//////////////////////////////////////////////////////////////////////
#ifndef WHEN_HH
#define WHEN_HH

#include "name.hxx"
#include "smlunit.hxx"
#include "condition.hxx"

class When  : public SMLUnit 
{
public:
	When();

	virtual ~When();

	virtual void translate();

	void out(const Name offset) const;

	virtual void outSobj(ofstream& sobj) const;


protected :

	Condition _condition;
	
	Name _actionName;
};

#endif 
