
#ifdef VMS
#include "delphi$online:[smixx.rtl]smirtl.h"
#endif

#define NOOFSUBOBJECTS 2
#define MAXNAME 32
#define MAXSTATESTRING  NOOFSUBOBJECTS*(2*MAXNAME+2)-1

#include <string.h>

main(argc, argv)
int argc;
char **argv[];
{

	static char proxy_name[MAXNAME+1] = "LIFTB";
        char domain[MAXNAME+1];
        char proxy_fullname[2*MAXNAME+2+1];
	void handle_command();

/* read the domain name from the command line */
	sprintf(domain,"%s",argv[1]);

/* form full name of the proxy ; format :   'domain-name'::'proxy-name' */

        strcpy(proxy_fullname,domain);
        strcat(proxy_fullname,"::");
        strcat(proxy_fullname,proxy_name);

/* the following call will attach the proxy to the mirror( associated) object 
   in the SMI domain;  handle_command is call-back routine that is called
   every time a SMI command arrives  */

	smi_attach(proxy_fullname, handle_command); 

/* determine and then set the initial state of the proxy by 
   the following call: */ 
/******  the initial state could (should?) be supplied in smi_attach    ****/

	smi_set_state("CONTROLER.AT_THE_BOTTOM,MODE.SLOW");

	while(1)
	{
		pause();
	}
}

void handle_command()
{
        char state[MAXSTATESTRING+1];
        char substate[MAXNAME+1];
        char action[MAXNAME+1];
        int noOfParameters;
        char par[MAXNAME+1];
        char value[133];

        smi_get_state(state,MAXSTATESTRING);
        printf("\n  My current state is :%s \n",state);

        smi_get_substate("MODE",substate);
        printf("  State of  subject MODE is :%s \n",substate);

        noOfParameters = 0;
	while(smi_get_next_par(par,value))
	{
                noOfParameters++;
		printf("%s = %s\n",par,value);
	}
        printf(" No of parameters = %d\n",noOfParameters);



	if(smi_test_action("GO_TO_THE_TOP"))
	{
        	smi_terminate_action("CONTROLER.AT_THE_TOP");
	}
	else if(smi_test_action("POWER_DOWN"))
	{
         	smi_terminate_action("CONTROLER.POWERED_DOWN");
	}
	else if(smi_test_action("GO_TO_THE_BOTTOM"))
	{
         	smi_terminate_action("CONTROLER.AT_THE_BOTTOM");
	}
	else if(smi_test_action("SOS"))
	{
        	smi_terminate_action("CONTROLER.AT_THE_BOTTOM");
	}
	else if(smi_test_action("POWER_UP"))
	{
           	smi_terminate_action("CONTROLER.AT_THE_BOTTOM");
	}
	else if(smi_test_action("COMMIT_SUICIDE"))
	{
                exit(1);
	}
	else if(smi_test_action("GO_FAST"))
	{
        	smi_terminate_action("MODE.FAST");
	}
	else if(smi_test_action("GO_SLOW"))
	{
        	smi_terminate_action("MODE.SLOW");
	}
        else {
             smi_terminate_action("POWERED_DOWN");
        }
/*


	smi_terminate_action("CONTROLER.STUCK");




*/
}
