#include <smirtl.h>

/* States */
void setREADY() {smi_set_state("READY");};
void setRUNNING() {smi_set_state("RUNNING");};
void setERROR() {smi_set_state("ERROR");};

/* Object Parameters */
int setParNUMBER_T(int val) {return smi_set_par("NUMBER_T", &val, INTEGER);};
int setParNUMBER_P(int val) {return smi_set_par("NUMBER_P", &val, INTEGER);};

/* Command Handler */
void handle_command()
{
	void START();
	void STOP();
	void RECOVER();

	if(smi_test_action("START"))
	{
		START();
	}
	else if(smi_test_action("STOP"))
	{
		STOP();
	}
	else if(smi_test_action("RECOVER"))
	{
		RECOVER();
	}
}

/* Main Program */
main(argc, argv)
int argc;
char **argv[];
{

	char proxy_name[64];
	void handle_command();
	sprintf(proxy_name,"%s::EVT_BUILDER",argv[1]);
	smi_attach(proxy_name, handle_command);
/*	setParNUMBER_T(value); */
/*	setParNUMBER_P(value); */
/*	setREADY() */

	while(1)
	{
		pause();
	}
}

/* Parameters of action START */
int getParTYPE(char *val) { return smi_get_par_value("TYPE",val);};
int getParNR(int *val) { return smi_get_par_value("NR",val);};

/* Action START User code */
void START()
{
/*	setXXX();*/
}


/* Action STOP User code */
void STOP()
{
/*	setXXX();*/
}


/* Action RECOVER User code */
void RECOVER()
{
/*	setXXX();*/
}

