#include <smirtl.hh>

class EVT_BUILDERProxy: public SmiProxy
{
protected :
// Actions
	virtual void START() {};
	virtual void STOP() {};
	virtual void RECOVER() {};
// Parameters of action START
	char *getParTYPE() {return getParameterString("TYPE");};
	int getParNR() {return getParameterInt("NR");};
// Command Handler
	void smiCommandHandler();
public:
// States
	void setREADY() {setState("READY");};
	void setRUNNING() {setState("RUNNING");};
	void setERROR() {setState("ERROR");};
// Object Parameters
	int setParNUMBER_T(int val) {return setParameter("NUMBER_T", val);};
	int setParNUMBER_P(int val) {return setParameter("NUMBER_P", val);};
// Constructors
	EVT_BUILDERProxy(char *domain): SmiProxy("EVT_BUILDER") { attach(domain);};
};

void EVT_BUILDERProxy::smiCommandHandler()
{
	if(testAction("START"))
		START();
	else if(testAction("STOP"))
		STOP();
	else if(testAction("RECOVER"))
		RECOVER();
}
