#include "../lhc/state.inc"

object: HV /associated
	state: DEAD /dead_state
	state: OFF
		action : RAMP_UP
	state: ON
		action : RAMP_DOWN
	state: TRIP
		action : RAMP_UP

object: DET_HV

	state: NOT_READY
		action: GOTO_READY
			do RAMP_UP HV
			if(HV in_state ON) then
					terminate_action/state = READY
			endif
			terminate_action/state = ERROR
			
	state: READY
		when (HV in_state TRIP) do RECOVER
		
		action: GOTO_NOT_READY
			do RAMP_DOWN HV
			if(HV in_state OFF) then
				terminate_action/state = NOT_READY
			endif
			terminate_action/state = ERROR
		action: RECOVER
			do RAMP_UP HV
			if(HV in_state ON) then
				terminate_action/state = READY
			endif
			terminate_action/state = ERROR

	state: ERROR
		action: GOTO_NOT_READY
			terminate_action/state = NOT_READY


object: DET_CONTROL
	state: TEST_MODE
		when (LHC::STATE in_state PHYSICS) do PHYSICS
		action: PHYSICS
			do GOTO_READY DET_HV
!			do START_RUN DET_DAQ
			if(DET_HV in_state READY) then
					terminate_action/state = PHYSICS_MODE
			endif
			terminate_action/state = ERROR
			
	state: PHYSICS_MODE
		when (not LHC::STATE in_state PHYSICS) do TEST
		
		action: TEST
			do GOTO_NOT_READY DET_HV
!			do STOP_RUN DET_DAQ
			if(DET_HV in_state NOT_READY) then
				terminate_action/state = TEST_MODE
			endif
			terminate_action/state = ERROR

	state: ERROR
		action: TEST
			terminate_action/state = TEST_MODE
