#include <smirtl.hh>

class HVProxy: public SmiProxy
{
protected :
// Actions
	virtual void RAMP_UP() {};
	virtual void RAMP_DOWN() {};
// Command Handler
	void smiCommandHandler();
public:
// States
	void setOFF() {setState("OFF");};
	void setON() {setState("ON");};
	void setTRIP() {setState("TRIP");};
// Object Parameters
// Constructors
	HVProxy(char *domain): SmiProxy("HV") { attach(domain);};
};

void HVProxy::smiCommandHandler()
{
	if(testAction("RAMP_UP"))
		RAMP_UP();
	else if(testAction("RAMP_DOWN"))
		RAMP_DOWN();
}
