       integer function get_token1(string,del,token,pdel)
* assumes it is at the beginning of a token and the token's delimiter
* is in del. It will extract it ignoring leading and trailing blanks

* pdel will then point to the delimiter
*      =0 if delimiter not found.
* delimiter must not be ' ' or '"'

       implicit none

       character*(*) string
       character*(*) token
       character*1 del
       integer pdel

       integer ln_string,ln_token


       character*1 str
       integer ic
       integer ic_beg,ic_end   !begining and end of the token
       integer mode

       ln_token = len(token)
       ln_string = len(string)

       mode = 0
       ic_end = 0
       ic_beg = 0

       do ic = 1,ln_string
           str = string(ic:ic)
           if ( mode .eq. 0 ) then
               if ( str .ne. ' ') then
                   if ( str .eq. del ) then
                       pdel = ic
                       if ( ic_beg .eq. 0 ) then
                           get_token1 = 2    ! token is empty
                           return
                       else
                           if ( (ic_end-ic_beg+1) .gt. ln_token) then
                               get_token1 = 4  ! token too long
                               return
                           endif
                           get_token1 = 1
                           token=string(ic_beg:ic_end)
                           return
                       endif                          
                   else
                       if ( ic_beg .eq. 0 ) ic_beg = ic  !first non blank is beg
                       ic_end = ic
                       if (str .eq. '"' ) mode = 1  ! switch the mode
                   endif
               endif
           else
               if (str .eq. '"' ) then
                  ic_end = ic
                  mode = 0
               endif      
           endif
       enddo

       pdel = 0
       if ( ic_beg .eq. 0 ) then
           get_token1 = 2    ! token is empty
           return
       else
           if ( (ic_end-ic_beg+1) .gt. ln_token) then
                 get_token1 = 4  ! token too long
                 return
           endif
                 get_token1 = 1
                 token=string(ic_beg:ic_end)
                 return
       endif                          

       end
