      subroutine process_block
     &      (n_lines,lines,nc,line_num)
      implicit none

      integer n_lines
      integer nc(1)
      integer line_num(1)
      character*(*) lines(1)
      character*133 line
      integer nc_line
      integer il,ist,last_il


      character*32 state_nm
      integer ln_state_nm
      integer mx_atributes,n_atributes
      parameter (mx_atributes = 10)
      character*32 atributes(mx_atributes)

      integer iatr,ln_atr

      integer no_lines,beg_line

      integer state_being_processed

      character*133 keyword
      integer ln_keyword,next
*
* First look if the are any parameters
*
         line = lines(1)
         nc_line = nc(1)
         call get_keyword(line,nc_line,line_num,keyword,next)
         if (keyword .eq. 'PARAMETERS') then
             call  process_param(n_lines,lines,nc,line_num,
     &                          1,last_il)
             if ( last_il .eq. n_lines ) return   ! no states
             ist = last_il+1
         elseif (keyword .eq. 'STATE') then
             ist = 1
         else
             write(6,'('' Error : Line :'',i5)') line_num(1)
             write(6,
     &       '('' Expecting PARAMETERS or STATE and found '',a)')
     &       line(1:7)
             call exit(2)
         endif

      state_being_processed = 0
      no_lines = 0
*
      do il = ist,n_lines
*        write(3,'(a)') lines(il)(1:nc(il))
        line = lines(il)
        nc_line = nc(il)

        if(index(line(1:6),'STATE') .ne. 0) then  
           if(state_being_processed .ne. 0) then

              write(80,*) ' '
              write(80,'(////'' State : |'',a,''|'')')
     &        state_nm(1:ln_state_nm)  
              write(80,*) ' First line :',line_num(beg_line)
              write(80,*) ' Last line  :',line_num(beg_line+no_lines-1)
              write(80,*) ' No of command lines:',no_lines

              write(2,'(''*STATE'')')
              write(2,'(a)') state_nm(1:ln_state_nm)
              write(2,'(i5)') n_atributes

              if( n_atributes . gt. 0 ) then

                 do iatr = 1,n_atributes
                    call str_trim(atributes(iatr),ln_atr)
                    write(2,'(a)') atributes(iatr)(1:ln_atr)
                 enddo
              endif

              call process_state(no_lines,lines(beg_line),
     &                        nc(beg_line),line_num(beg_line))
              write(2,'(''*END_STATE'')')            
              state_being_processed = 0
              no_lines = 0
           endif

           call squeeze(line,line(1:nc_line),nc_line)
           if(line(1:6) .ne. 'STATE:') then
             write(6,'('' Error :  Line :'',i5)') line_num(il)
             write(6,'( '' Expecting  STATE: and found '',a)') 
     &         line(1:6)
             call exit(2)
           endif

           call proc_state_line(line_num(il),line(1:nc_line),state_nm,
     &      mx_atributes,n_atributes,atributes)

           call str_trim(state_nm,ln_state_nm)

           state_being_processed = 1
           no_lines = 0
           beg_line = il+1
        else
           if(state_being_processed .eq. 0) then
             write(6,'('' Error :  Line :'',i5)') line_num(il)
             write(6,'( '' Expecting  STATE: and found '',a)')
     &            line(1:6)
             call exit(2)
           endif
           no_lines = no_lines + 1
        endif
      enddo


      if(state_being_processed .ne. 0) then
         write(80,*) ' State : |',state_nm(1:ln_state_nm),'|'
         write(80,*) ' First line :',line_num(beg_line)
         write(80,*) ' Last line  :',line_num(beg_line+no_lines-1)
         write(80,*) ' No of command lines:',no_lines

         write(2,'(''*STATE'')')
         write(2,'(a)') state_nm(1:ln_state_nm)
         write(2,'(i5)') n_atributes

         if( n_atributes . gt. 0 ) then

            do iatr = 1,n_atributes
               call str_trim(atributes(iatr),ln_atr)
               write(2,'(a)') atributes(iatr)(1:ln_atr)
            enddo
         endif
         call process_state(no_lines,lines(beg_line),
     &                  nc(beg_line),line_num(beg_line))
         write(2,'(''*END_STATE'')')            
      endif

      return
      end  
