      subroutine process_block_with_subobjects
     &      (n_lines,lines,nc,line_num)
      implicit none

      integer n_lines
      integer nc(1)
      integer line_num(1)
      character*(*) lines(1)
      character*133 line
      integer nc_line
      integer il

      integer ist,last_il

      character*32 subobject_nm
      integer ln_subobject_nm

      integer subobject_being_processed
      character*6 dummy


      integer no_lines,beg_line

      integer get_token1,pslash,next
      character*133 keyword
      integer ln_keyword
*---------------------------------------------------------------------------
*
      call get_keyword(lines(1),nc(1),line_num(1),keyword,next)
      call str_trim(keyword,ln_keyword)

*
* First look if the are any parameters
*
      ist = 1
      if  (keyword(1:ln_keyword) .eq. 'PARAMETERS') then
         call  process_param(n_lines,lines,nc,line_num,
     &                          1,last_il)
         if ( last_il .eq. n_lines ) return   ! no subobj or states
         ist = last_il+1
         call get_keyword
     &       (lines(ist),nc(ist),line_num(ist),keyword,next)
         call str_trim(keyword,ln_keyword)
      endif           

      if (keyword(1:ln_keyword) .eq. 'STATE') then
*              If associated object does not have subobjects, i'll 
*              make it look like if it had 1 called &DUMMY
         dummy = '&DUMMY'
         call process_subobject
     &       (dummy,n_lines-ist+1,lines(ist),nc(ist),line_num(ist))
         return
      endif
    
*----------------------------------------------------------------------------


      subobject_being_processed = 0
      no_lines = 0


      do il = ist,n_lines
           line = lines(il)
           nc_line = nc(il)

           if (index(line(1:10),'SUBOBJECT') .ne. 0 ) then
              call get_keyword
     &          (line,nc_line,line_num(il),keyword,next)
              call str_trim(keyword,ln_keyword)

              if(subobject_being_processed .ne. 0) then
                 call process_subobject
     &              (subobject_nm(1:ln_subobject_nm),
     &               no_lines,lines(beg_line),
     &               nc(beg_line),line_num(beg_line))

                 subobject_being_processed = 0
                 no_lines = 0
              endif


           if( get_token1(line(next:nc_line),'/',subobject_nm,pslash) 
     &         .ne. 1) 
     &     then
             write(6,*) ' Error   Line : ',line_num(il)
             write(6,*) ' Subobject name is too long'
             call exit(2)
           endif

           call str_trim(subobject_nm,ln_subobject_nm)

           subobject_being_processed = 1
           no_lines = 0
           beg_line = il+1
        else
           if(subobject_being_processed .eq. 0) then
             write(6,'('' Error :  Line :'',i5)') line_num(il)
             write(6,'( '' Expecting  SUBOBJECT: and found '',a)')
     &            line(1:10)
             call exit(2)
           endif
           no_lines = no_lines + 1
        endif
      enddo


      if(subobject_being_processed .ne. 0) then

         call process_subobject
     &      (subobject_nm(1:ln_subobject_nm),
     &       no_lines,lines(beg_line),
     &       nc(beg_line),line_num(beg_line))

      endif

      return
      end  
