      subroutine process_condition_block(ident,block_num,level,
     &     max_lines,n_lines,lines,nc,line_num,
     &     first_line,last_line,
     &     max_numout,numout,outif,nc_outif)

      implicit none

      character*(*) ident    ! either 'if' or 'elseif' or 'else'

      integer block_num,level

      integer max_lines,n_lines,nc(1),line_num(1)
      character*(*) lines(1)

      integer first_line,last_line

      integer ln,last_ln

      character*132 line
      integer nc_line

      integer max_numout,numout,nc_outif(max_numout)
      character*(*) outif(max_numout)

      integer max_nc_condition
      parameter (max_nc_condition = 20000)

      character*20000 condition
      integer nc_condition

      integer max_cndlines,num_cndlines
      parameter (max_cndlines = 500)
      character*80 cndlines(max_cndlines)
 
      integer ii,ll,zero

      integer lev

      integer status,process_condition

       n_lines = n_lines + 1

       ln = first_line

       write(lines(n_lines)(1:11),'(''BLOCK'',2I3)') block_num,level

       if( ident .eq. 'if' .or. ident .eq. 'elseif') then
           condition = ' '
           call extract_if_condition(lines,nc,line_num,
     &            ln,condition,max_nc_condition,nc_condition,last_ln)
       else if (ident .eq. 'else') then
           condition = 'else'
           nc_condition = 4
           last_ln = ln
       else
           write(6,'('' Error:   Line :'',i5)') line_num(first_line)
           write(6,*) ' Unknown condition identifier'
           call exit(2)
       endif

       numout = numout+1
       if(numout .gt. max_numout) go to 999

       if( nc_condition .le. 79) then
          outif(numout) = condition(1:nc_condition)
          nc_outif(numout) = nc_condition
       else
          outif(numout) = condition(1:37)//'......'
          outif(numout)(44:79) = 
     &    condition(nc_condition-35:nc_condition)
          nc_outif(numout) = 79
       endif


       if( ident .eq. 'if' .or. ident .eq. 'elseif') then
          status = process_condition(condition(1:nc_condition),
     &           max_cndlines,num_cndlines,cndlines)
          if(status .ne. 1) then
             write(6,'(''  The condition starts on line :'',i5)')
     &            line_num(ln)
             call exit(2)
          endif
  
          do ii = 1,num_cndlines
            numout = numout + 1
            if(numout .gt. max_numout) go to 999
            outif(numout) = cndlines(ii)
            call str_trim(cndlines(ii),ll)
            nc_outif(numout) = ll
          enddo            
       else
          numout = numout+1
          if(numout .gt. max_numout) go to 999
          zero = 0
          write(outif(numout)(1:10),'(2i5)') zero,zero
          nc_outif(numout) = 10
       endif

       numout = numout+1
       if(numout .gt. max_numout) go to 999
       write(outif(numout)(1:6),'(2i3)') block_num,level
       nc_outif(numout) = 6
 
       write(80,*) ' '
       write(80,
     &      '(1x,a,1x,a,'' then''/''    execute block '',2i3)') 
     &          ident,condition(1:50),block_num,level


       ln = last_ln

       lev = 0
  100  continue
       ln= ln + 1

       if(ln .gt. n_lines) then
          write(6,'(''  Error :    Line :'',i5)') line_num(ln)
          write(6,'('' Probably badly nested if '')')
          call exit(2)
       endif

       line = lines(ln)
       nc_line = nc(ln)

       if(line(1:5) .eq. 'BLOCK') then
          write(6,'(''  Error :    Line :'',i5)') line_num(ln)
          write(6,'('' Probably badly nested if '')')
          call exit(2)
       endif
   
       n_lines = n_lines + 1

       if(n_lines .gt. max_lines) then
          write(6,'(''  Error :    Line :'',i5)') line_num(ln)
          write(6,'('' Not enough space for action expansion '')')
          call exit(2)
       endif

       lines(n_lines)= line
       nc(n_lines)=nc_line
       line_num(n_lines) = line_num(ln)
*------->
       if( line(1:3) .eq. ' IF') then
            lev=lev+1
*------->
       elseif( line(1:8) .eq. ' ELSE IF'
     &                .and. lev .eq. 0) then
            lev = -1
            ln = ln-1
            n_lines = n_lines - 1
*------->
       elseif( line(1:5) .eq. ' ELSE' .and. nc_line .eq. 5
     &         .and. lev .eq. 0) then
            lev = -1
            ln = ln-1
            n_lines = n_lines - 1
*------->
       elseif(line(1:7) .eq. ' END IF'
     &         .or. line(1:6) .eq. ' ENDIF') then
            if ( lev .eq. 0) then
               lev = -1
               ln = ln-1
               n_lines = n_lines - 1
            else
               lev=lev-1
            endif    
       endif       

       if(lev .lt. 0) then
         last_line = ln
         return
       endif

       go to 100


  999 continue
      write(6,'(''  Error :   not enough temporary space for if'')')
      write(6,'(''  Processing condition block on line :'',i5)')
     &     line_num(first_line)
      call exit(2)
       end
