c       character*132 line,newline
c
c       integer nl_line,nl_newline
c
c    1 continue
c      read(5,'(q,a)') nl_line,line(1:nl_line)
c
c      call process_line(line(1:nl_line),newline,nl_newline)
c
c      call str$trim(newline,newline,nl_newline)
c
c      write(6,*) nl_newline,' <',newline(1:nl_newline),'>'
c      go to 1
c
c      end


      subroutine process_line(line,newline,nout)
      character*(*) line,newline

      integer nl_line,nl_newline,nout
      integer i

      integer mode
*     1...normal    2...after a blank found  3... after "

      character*1 TAB/x'09'/

      nl_line = len(line)
      nl_newline = len(newline)

      if ( nl_newline .lt. nl_line) then
          write(6,*) ' Not enough room for the output line'
          call exit(2)
      endif

      mode = 1

      nout = 0
      newline = ' '

      if (nl_line .le. 0 ) return


      do i = 1,nl_line
         if( line(i:i) .eq. TAB ) line(i:i) =' '
         if      ( mode .eq. 1 ) then
             if ( line(i:i) .eq. '!' ) return                 
             if ( line(i:i) .eq. '#' ) return
             nout = nout + 1
             newline(nout:nout) = line(i:i)
             call str_upcase(newline(nout:nout),newline(nout:nout))
             if ( line(i:i) .eq. ' ' ) then  ! first blank found             
                  if ( i .eq. nl_line ) then
                     nout = nout - 1
                     return
                  endif
                  mode = 2
             endif
             if ( line(i:i) .eq. '"' ) then  ! first " found                 
                  mode =3
             endif
         else if ( mode .eq. 2 ) then
             if (     (line(i:i) .eq. '!')
     &            .or.(line(i:i) .eq. '#') ) then
                 nout = nout -1
                 return
             endif
             if ( line(i:i) .eq. ' ' ) then
                if ( i .eq. nl_line ) then
                   nout = nout - 1
                   return
                endif
             else 
                nout = nout + 1
                newline(nout:nout) = line(i:i)
                call str_upcase(newline(nout:nout),newline(nout:nout))
                if ( line(i:i) .eq. '"' ) then                 
                   mode = 3
                else
                   mode = 1
                endif
             endif
         else if ( mode .eq. 3 ) then
             nout = nout + 1
             newline(nout:nout) = line(i:i)
             if ( line(i:i) .eq. '"' ) then                 
                mode = 1
             endif
         endif
      enddo


      return
      end
