      subroutine process_state(n_lines,lines
     &                        ,nc,line_num)

      integer n_lines
      integer nc(1)
      integer line_num(1)
      character*(*) lines(1)

      character*133 line
      integer nc_line

      character*32 action_nm
      integer ln_action_nm

!--------- Action parameters----------------------
      integer max_par
      parameter (max_par = 10)

      integer npar
      character*6 par_type(max_par)
      character*32 par_name(max_par)
      character*80 par_default(max_par)
!------------------------------------------------

      integer n_ac_lines,max_ac_lines
      parameter (max_ac_lines = 2000)

      character*133 ac_lines(max_ac_lines)
      integer nc_ac(max_ac_lines),ac_line_num(max_ac_lines)
    
      integer il,action_being_processed

      integer ist

      integer n_atributes,ipar,ln

      action_being_processed = 0



      il = 0

  100 continue
      il = il+1

      if(il .gt. n_lines) go to 101
        line = lines(il)
        nc_line = nc(il)

        if(index(line(1:5),'WHEN') .ne. 0) then        !when found
           call process_when(lines,nc,line_num,
     &                      il,last_il)           
           il = last_il
        else if(index(line(1:7),'ACTION') .ne. 0) then            
          ist = il
          go to 999
        else
          write(6,'('' Error :  Line :'',i5)') line_num(il)
          write(6,'( '' Expecting  ACTION or WHEN: and found '',a)') 
     &          line(1:7)
          call exit(2)
        endif

      go to 100
  101 continue
      return   ! No actions found
  999 continue

      il = ist - 1
  200 continue
      il = il + 1
      if( il .gt. n_lines) go to 201
        line = lines(il)
        nc_line = nc(il)

        if(index(line(1:7),'ACTION') .ne. 0) then            
!---- This is either the first action or one of the others in which case
! it will terminates the collection of the action lines for the previous action
           if (action_being_processed .ne. 0) then
              write(80,*) ' '
              write(80,*) ' Action : |',action_nm(1:ln_action_nm),'|'
              write(80,*) ' First line : ',ac_line_num(1)
              write(80,*) ' Last line : ',ac_line_num(n_ac_lines)
              write(80,*) ' No. of command lines :',n_ac_lines

              if( n_ac_lines .gt. 0) then
                 call process_action(max_ac_lines,n_ac_lines,ac_lines,
     &                        nc_ac,ac_line_num)
              endif

              write(2,'(''*END_ACTION'')')            
              action_being_processed = 0
           endif

           call proc_action_line(n_lines,lines,nc,line_num,il
     &                           ,action_nm,max_par,npar
     &                           ,par_type,par_name,par_default
     &                                    ,last_il)

           call str_trim(action_nm,ln_action_nm)

           write(2,'(''*ACTION'')')
           write(2,'(a)') action_nm(1:ln_action_nm)

           n_atributes = 0         ! No atributes allowed at the moment
           write(2,'(2i5)') npar,n_atributes

           if( npar .ne. 0) then
              do ipar = 1,npar
                 call str_trim(par_type(ipar),ln)
                 write(2,'(a)') par_type(ipar)(1:ln)
                 call str_trim(par_name(ipar),ln)
                 write(2,'(a)') par_name(ipar)(1:ln)
                 call str_trim(par_default(ipar),ln)
                 write(2,'(a)') par_default(ipar)(1:ln)
              enddo
           endif

           action_being_processed = 1

           n_ac_lines = 0

        else

           if (action_being_processed .eq. 0) then
              write(6,
     &        '(///'' Error  Line : '',i5)')
     &         line_num(il)
              write(6,*) ' Expecting Action and found : ',line(1:7)
              call exit(2)
           endif

           n_ac_lines = n_ac_lines + 1

           if(n_ac_lines .gt. max_ac_lines) then
              write(6,
     &        '(///'' Error  Line : '',i5//'' Action : |'',a,''|'')')
     &         line_num(il),
     &         action_nm(1:ln_action_nm)
              write(6,'(''  Action is too big '')')
              call exit(2)
           endif              

           ac_lines(n_ac_lines) = line
           nc_ac(n_ac_lines) = nc_line
           ac_line_num(n_ac_lines) = line_num(il)
        endif

      go to 200
  201 continue

      if (action_being_processed .ne. 0) then
         write(80,*) ' '
         write(80,*) ' Action : |',action_nm(1:ln_action_nm),'|'
         write(80,*) ' First line : ',ac_line_num(1)
         write(80,*) ' Last line : ',ac_line_num(n_ac_lines)
         write(80,*) ' No. of command lines :',n_ac_lines

         if( n_ac_lines .gt. 0) then
            call process_action(max_ac_lines,n_ac_lines,ac_lines,
     &                        nc_ac,ac_line_num)
         endif

         write(2,'(''*END_ACTION'')')            
         action_being_processed = 0

      endif

      return
      end
