#include <iostream.h>
#include <smiuirtl.hh>

class Domain : public SmiDomain
{
	void smiStateChangeHandler() {
		SmiObject *objp = getObject();
		cout << *objp << "\n";
		cout.flush();
	}
	void smiExecutingHandler() {
		SmiObject *objp = getObject();
		cout << *objp << "\n";
		cout.flush();
	}
	void smiDomainHandler() {
//		while(getNextObject());
//		cout << this << "\n";
//		cout.flush();
	}
public :
	Domain(char *name) : SmiDomain(name) {};
};

main(int argc, char *argv[])
{

	cout << "Type \"<Return>\" to send a command\n";
	cout << "type \"Show <Return>\" to show the full domain \n";
	cout << "type \"Allocate <Return>\" to allocate the domain \n";
	cout << "type \"Release <Return>\" to release the domain \n";
	cout << "type \"Exit <Return>\" to exit \n\n";
	cout.flush();

	Domain myDomain(argv[1]);

	while(myDomain.getNextObject());
	char ch;
	char dummy[32];
	while(1)
	{
		cin.get(ch);
		if(ch == '\n')
		{
			myDomain.sendCommand();
			cin.get(ch);
		}
		else if((ch == 's') || (ch == 'S'))
		{
			do
			{
				cin.get(ch);
			}while (ch != '\n');
			cout << myDomain << "\n";
			cout.flush();
		}
		else if((ch == 'a') || (ch == 'A'))
		{
			do
			{
				cin.get(ch);
			}while (ch != '\n');
			myDomain.allocate();
		}
		else if((ch == 'r') || (ch == 'R'))
		{
			do
			{
				cin.get(ch);
			}while (ch != '\n');
			myDomain.release();
		}
		else if((ch == 'e') || (ch == 'E'))
			exit(0);
	}
}
