//------------------------- InsList Class ------------------------------------
#ifndef INSLIST_HH
#define INSLIST_HH

#include "parameters.hh"
#include "instruction.hh"
#include "doins.hh"
#include "termins.hh"
#include "setins.hh"
#include "action.hh"
class SMIObject;
class State;
class Action;
//                                                             B. Franek
//                                                             April 1996
//-----------------------------------------------------------------------------
//
class IfIns;

class InsList {
public :
  InsList(int blknum, int lev, char* objName, SMIObject *pobj, State*, Action*);
  void initialise( char lines[][MAXRECL], InsList* *pblocks, 
                   int *no_lines);
  void listInstructions();
  int execute(char* pstate);
private :
  int _block_id;
  int _level;

  int _numIns;
  Instruction* _pIns[MAXINS];

  int _isuspended;    // instruction at which it was suspended


  char _objName[MAXOBJECTNAME];    // Name of the object to which 
//                                        the block belongs

  SMIObject *_pParentObject;

  State* _pParentState;
  Action* _pParentAction;
};

#endif
