//----------------------  Class   Queue_TwoNames  ----------------------------
//
//                                                      Author: Boda Franek
//                                                      Date : 15 January 1997
//----------------------------------------------------------------------------
#include <iostream.h>
#include <string.h>
#include <assert.h>

#include "utilities.hh"
#include "queue_twonames.hh"


//-----------------------------------------------------------------------------
void Queue_TwoNames::add( TwoNames &val) {
   DISABLE_AST
   QueueItem_TwoNames *pt = new QueueItem_TwoNames(val);

   if ( isEmpty() ) {
      _front = _back = pt;
   }
   else {
      _back->_next = pt;
      _back = pt;
   }
   _size++;
   ENABLE_AST
}


TwoNames Queue_TwoNames::remove() {
   DISABLE_AST
   if (isEmpty() ) {
      cout << "remove() on empty Queue\n";
      cout.flush();
      ENABLE_AST
      exit(-1);
   }

   QueueItem_TwoNames *pt = _front;
   _front = _front->_next;
   TwoNames retval = pt->_item;
   delete pt;
   _size = _size - 1;
   ENABLE_AST
   return retval;
}

void Queue_TwoNames::out() {
   DISABLE_AST
   QueueItem_TwoNames *pt = _front;

   cout << "\n No of items in the Queue : " << _size << "\n";
   for (; pt != 0 ;) {
      TwoNames val = pt->_item;
      val.out();
      pt = pt->_next;      
   }
   cout.flush();

   ENABLE_AST
   return;
}

void Queue_TwoNames::remove(char* str1, int mxsize1, char* str2, int mxsize2) {
    DISABLE_AST
    TwoNames temp;

    temp = remove();
    temp.whatAreYou( str1, mxsize1 ,  str2, mxsize2);
    ENABLE_AST
}


void Queue_TwoNames::add(char* name1, char* name2) {
    DISABLE_AST
    TwoNames temp;

    temp.set( name1, name2);

    add(temp);
    ENABLE_AST
}









