//---------------------- SMIClassRegistrar   Class ---------------------------
#ifndef SMICLASSREGISTRAR_HH
#define SMICLASSREGISTRAR_HH
#include "parameters.hh"
//
//   This class (1 instance) holds the names and pointers
//   to all the SMI Classes found in the input file.
//                                                          28-October-1996
//                                                            B. Franek
//--------------------------------------------------------------------------
//
//#include "smiclass.hh"
class SMIClass;


class SMIClassRegistrar {
public :
  SMIClassRegistrar();
  SMIClass *gimePointer(char* objname) const;
  int registerObject(char *objname, SMIClass *pSMIObj); 
  int numOfObjects();
  int gimeName(int inx, char *objname);
private :

   int _numOfObjects;

   enum { _maxObjects = 200 };


   char _objectName[_maxObjects][MAXNAMESIZE];
   SMIClass *_pSMIObject[_maxObjects];
};


#endif
