//----------------------  Class   Name  ---------------------------------
//
//                                                      Author: Boda Franek
//                                                      Date : 28 December 1996
//----------------------------------------------------------------------------
#include <iostream.h>
#include <assert.h>

#include "utilities.hh"
#include "queue_name.hh"


//-----------------------------------------------------------------------------
void Queue_Name::add( Name &val) {
   DISABLE_AST
   QueueItem_Name *pt = new QueueItem_Name(val);

   if ( isEmpty() ) {
      _front = _back = pt;
   }
   else {
      _back->_next = pt;
      _back = pt;
   }
   _size++;
   ENABLE_AST
}


Name Queue_Name::remove() {
   DISABLE_AST
   if (isEmpty() ) {
      cout << "remove() on empty Queue\n";
      cout.flush();
      ENABLE_AST
      exit(-1);
   }

   QueueItem_Name *pt = _front;
   _front = _front->_next;
   Name retval = pt->_item;
   delete pt;
   _size = _size - 1;
   ENABLE_AST
   return retval;
}

void Queue_Name::out() {
   DISABLE_AST
   QueueItem_Name *pt = _front;

   cout << "\n No of items in the Queue : " << _size << "\n";
   for (; pt != 0 ;) {
      Name val = pt->_item;
      val.out();
      pt = pt->_next;      
   }
   cout.flush();

   ENABLE_AST
   return;
}

void Queue_Name::remove(char* str, int mxsize) {
    Name temp;

    temp = remove();
    temp.whatAreYou(str,mxsize);
}


void Queue_Name::add(char* str) {
    Name temp;

    temp = str;

    add(temp);
}
