//-------------------------  Class   S E T I n s  -------------------------------
#ifndef SETINS_HH
#define SETINS_HH

#include "parameters.hh"
#include "instruction.hh"
#include "parms.hh"
class SMIObject;
class Action;
//                                                  Date :  14-Jun-1998
//                                                  Author : Boda Franek
//---------------------------------------------------------------------------


class SetIns : public Instruction{
public:
  SetIns
      ( char lines[][MAXRECL], const int lev, int& no_lines,
         SMIObject *pobj, Action *pact);
  void whatAreYou() ;
  int execute(char* pstate);   // 0-normal,  1-terminated action, 2-suspended
private:
  int _level;

  int _insType;

  Name _objectParamNm, _otherObjectNm, _otherParamNm, _actionParamNm;
  Name _value;
//
  SMIObject *_pParentObject;

  Action *_pParentAction;
};

#endif
