//--------------------------  SMIClassRegistrar Class  -----------------------------------
#include <string.h>
#include "smiclassregistrar.hh"
//                                                         28-October-1996
//                                                          B. Franek
//---------------------------------------------------------------------------
//
//--------------------------- Registrar --------------------------------------
SMIClassRegistrar::SMIClassRegistrar(){

   _numOfObjects = 0;


}

//--------------------------- registerObject ----------------------------------
int SMIClassRegistrar::registerObject(char* objname, SMIClass *pSMIObj) {

   if ( _numOfObjects >= _maxObjects ) { return 0; }

   strcpy(_objectName[_numOfObjects],objname);
   _pSMIObject[_numOfObjects] = pSMIObj;
   _numOfObjects++;

   return 1;      

}

//---------------------------- gimePointer ------------------------------------
SMIClass *SMIClassRegistrar::gimePointer(char* objname) const {

   if ( _numOfObjects == 0 ) {return 0;}

   for (int io = 0; io < _numOfObjects; io++) {
      if (!strcmp(objname,_objectName[io])) {
         SMIClass *pSMIObj;
         pSMIObj = _pSMIObject[io];
         return pSMIObj;      
      }
   }   

   return 0;
}


//--------------------------- numOfObjects ------------------------------------
int SMIClassRegistrar::numOfObjects() {
   return _numOfObjects;
}

//--------------------------- gimeName ----------------------------------------
int SMIClassRegistrar::gimeName(int inx, char* objname) {
   if ( inx >= _numOfObjects ) { return 0; }

   strcpy(objname,_objectName[inx]);

   return 1;
}

