//----------------------   M a i n   P r o g r a m  --------------------------
#include "parameters.hh"
#include "utilities.hh"
//----------------------  Globals -------------------------------
#include "objectregistrar.hh"
   ObjectRegistrar allSMIObjects;
#include "queue_name.hh"
   Queue_Name executableObjectQ;
#include "ifhandler.hh"
   IfHandler ifHandler;
   Name smiDomain;
   Name allocator("\0");
//---------------------------------------------------------------
#include <fstream.h>
#include <ctype.h>
#include "smiobject.hh"

void logicEngine();
//ObjectRegistrar *initiator(ifstream *p);
void initiator(ifstream *p);

//-----------------------------------------------------------------------------

int main(int argc, char* argv[]) {

  char smiDomainStr[MAXNAMESIZE];

  if ( strlen(argv[1]) > (MAXNAMESIZE-1) ) {
     cout << " The domain name is too long " << endl;
     cout.flush();
     abort();
  }

    int i;
    for(i = 0; i < strlen(argv[1]); i++) {
          smiDomainStr[i] = toupper(argv[1][i]);
    }
    smiDomainStr[i] = '\0';
    smiDomain = smiDomainStr;

  cout << "\n\n";
  cout << " ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n";
  cout << " +                                                              +\n";
  cout << " +                                                              +\n";
  cout << " +               SMI++   S T A T E   M A N A G E R              +\n";
  cout << " +                                                              +\n";
  cout << " +                         Version 6.3                          +\n";
  cout << " +                                                              +\n";
  cout << " +                       24 September 1999                      +\n";
  cout << " +                                                              +\n";
  cout << " +                                                              +\n";
  cout << " +                                                              +\n";
  cout << " +  Any problems please report to :                             +\n";
  cout << " +                                                              +\n";
  cout << " +    Boda Franek                 |  Tel: ++ 44 1235 445643     +\n";
  cout << " +    2-46, Building R1           |                             +\n";
  cout << " +    Rutherford Appleton lab.    |  Fax: ++ 44 1235 446733     +\n";
  cout << " +    Chilton, Didcot             |                             +\n";
  cout << " +    Oxon OX11 0XQ               |  email: B.Franek@rl.ac.uk   +\n";
  cout << " +    England                     |                             +\n";
  cout << " ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n";
  cout << "\n\n";

  cout << "               SMI Domain : " << smiDomain << "\n \n";

//---------------------  Open the input SOBJ file -----------------------

  char inputFile[256];
  strcpy(inputFile,argv[2]);
  strcat(inputFile,".sobj");

  cout << " Input file : |" << inputFile << "| \n \n \n \n"; 

  ifstream input_file(inputFile);

  if (input_file.bad()) {
    cout << "Could not open file\n";
    exit(0);
  }
//------------------------------------------------------------------


   print_msg("SMI++ Initiator starting");

   initiator(&input_file);  

   cout << "\n";
   print_msg("SMI++ Initiator Finished");


// ****************************
/*
   cout << "\n \n  The following objects are registered : \n \n";

  int numOfObjects;
  numOfObjects = allSMIObjects.numOfObjects();

  for (int io=0; io < numOfObjects; io++) {
     char object_nm[MAXNAMESIZE];
     SMIObject *pSMIObj;
     allSMIObjects.gimeName(io,object_nm);
     cout << object_nm << "\n";
     pSMIObj = allSMIObjects.gimePointer(object_nm);
     pSMIObj->whatAreYou();
  }
*/
//************************************************************************

   cout << " \n \n \n              Logic Engine starting execution \n \n";

   logicEngine();


   exit(1);


}
