#ifndef UTILITIES_HH
#define UTILITIES_HH

#include <iostream.h>
#include <assert.h>
#include <stdio.h>
#include <string.h>
#include <signal.h>
#include <time.h>
#include "name.hh"
#ifndef solaris
#ifdef sun
#define solaris
#endif
#endif
#include <dis.hh>

#ifdef __VMS
#	include <lib$routines.h>
#	include <starlet.h>
#	include <ssdef.h>
#endif

void indent(int blanks);
void print_msg(char *msg);
void print_date_time();
void print_obj(char *obj_name);
void print_obj(Name& obj_name);
int strElement
   (char* deststr, int mxsize, int elm_num, char* delimiter,char* src_string);
int subobjectState
   (char* subobject, char* state, int elm_num, char* state_string);
//
bool check_name( const Name&);
bool check_int(const Name&);
bool check_float(const Name&);
bool check_string(const Name&);

#ifdef __VMS
typedef int bool;
#endif

/*
#ifdef __VMS
#	define DISABLE_AST     long int ast_enable = sys$setast(0);
#	define ENABLE_AST      if (ast_enable == SS$_WASSET) sys$setast(1);
#else
#	define DISABLE_AST     sigset_t set, oset;sigemptyset(&set);sigaddset(&set,SIGIO);sigaddset(&set,SIGALRM);sigprocmask(SIG_BLOCK,&set,&oset);
#	define ENABLE_AST      sigprocmask(SIG_SETMASK,&oset,0);
#endif
*/
#endif
