#! /bin/bash

#check if the affair env var defined
if [ "${AFFAIR}" = "" ]; then
	echo "AFFAIR variable not set! Cannot run. exit "
	return;
fi;

source $AFFAIR/setup1.sh;
source $AFFAIR/setup2.sh;


if [ ! ${AFFAIR_DNS_NODE} ]; then
    if [ ! ${DIM_DNS_NODE} ]; then
	echo " Error: AFFAIR_DNS_NODE and DIM_DNS_NODE not set.  Cannot run. exit "
	return;
    else
	export AFFAIR_DNS_NODE=$DIM_DNS_NODE;
    fi;
fi;

if [ ! ${DIMBIN} ]; then
    export DIMBIN=${DIMDIR}/linux
fi;

if [ ! ${SMIBIN} ]; then
    export SMIBIN=${SMIDIR}/linux
fi;

export DIM_DNS_NODE_LDCGDC=$DIM_DNS_NODE;

export LD_LIBRARY_PATH=$DIMBIN:$SMIBIN;

DIM_DNS_NODE=""; export DIM_DNS_NODE=$AFFAIR_DNS_NODE;

affairStatus=` ps -weo command | grep CollectorDATEMON | grep -cv grep  `;
if [ "$affairStatus" == "0" ]; then
#    echo "Affair  system monitoring process exists.do nothing ";
#    echo "Affair  system monitoring process exists.restart anyway to make sure process not stuck ";
#    $AFFAIR/support/killProcess.pl CollectorDATEMON;
#    $AFFAIR/src/dim/CollectorDATEMON &
# else
    echo " Affair  system monitoring process  dead.restart ";
    $AFFAIR/src/dim/CollectorDATEMON &
fi;


export DIM_DNS_NODE=$DIM_DNS_NODE_LDCGDC;

#start DATE collector
if [ $1 ]; then
    $AFFAIR/support/killProcess.pl CollectorDATE $1;
    $AFFAIR/src/dim/CollectorDATE $1;
fi


