#! /bin/bash

checkMonitor()
{
#    affairStatus=`ps -weo command | grep AffairMonitor | grep -v grep | grep -ce ''$nodelistfile' '$monset' '$storageoption''`;
# as nodelist from mysql database, don't look for it in ps
    affairStatus=`ps -weo command | grep AffairMonitor | grep -v grep | grep -ce ' '$monset' '$storageoption''`;
   if [ "$affairStatus" == "0" ]; then
	echo `date`  " AffairMonitor dead.monitor set is  $monset. storage option is $storageoption.  restart ";
	${AFFAIR_MONITOR}/src/root/AffairMonitor dummy $monset $storageoption $verboseOption & 
   fi;
}

restartMonitor()
{
    echo `date`  " about to restart monitor ";
   
   affairStatus=`ps -weo command | grep AffairMonitor | grep -v grep | grep -ce ' '$monset' '$storageoption''`;
   if [ "$affairStatus" == "0" ]; then
       echo `date`  " AffairMonitor dead.monitor set is  $monset. storage option is $storageoption.  start ";
       ${AFFAIR_MONITOR}/src/root/AffairMonitor dummy $monset $storageoption $verboseOption & 
   else
       echo `date`  " AffairMonitor exists.monitor set is  $monset. storage option is $storageoption. kill and restart ";
       ${AFFAIR_MONITOR}/support/killProcess.pl AffairMonitor $monset $storageoption;
       ${AFFAIR_MONITOR}/src/root/AffairMonitor dummy $monset $storageoption $verboseOption & 
   fi;
}

checkDataProcessor()
{
    echo `date`  " check data processor ";

#    affairStatus=`ps -weo command | grep AffairDataProcess | grep -v grep | grep -ce '-m '$monset' -r RRD_GLOBAL -s SUM_AND_SUPERIMPOSE -p all'`;
#    if [ "$affairStatus" == "0" ]; then
#	echo `date` " AffairDataProcess dead.monitor set is  $monset.  restart ";
#	${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s SUM_AND_SUPERIMPOSE -p all $verboseOption  & 
#    else
#	affairStatus=`if [ -f ${AFFAIR_MONITOR}/log/${monset}_2 ]; then find ${AFFAIR_MONITOR}/log/${monset}_2  -amin -10 | wc -l; else echo 1; fi;`;
#	if [ "$affairStatus" == "0" ]; then
#	    echo `date` " AffairDataProcess stuck-no plots created in ten minutes.monitor set is  $monset.  Kill and restart ";
#	    ${AFFAIR_MONITOR}/support/killProcess.pl AffairDataProcess $monset RRD_GLOBAL SUM_AND_SUPERIMPOSE $1;
#	    ${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s SUM_AND_SUPERIMPOSE -p all $verboseOption  &
#	fi;
#    fi;

#    affairStatus=`ps -weo command | grep AffairDataProcess | grep -v grep | grep -ce '-m '$monset' -r RRD_GLOBAL -s BOX -p all'`;
#    if [ "$affairStatus" == "0" ]; then
#	echo `date` " AffairDataProcess dead.monitor set is  $monset.  restart ";
#	${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s BOX -p all $verboseOption & 
#    else 
#        affairStatus=`if [ -f ${AFFAIR_MONITOR}/log/${monset}_3 ]; then find ${AFFAIR_MONITOR}/log/${monset}_3  -amin -10 | wc -l; else echo 1; fi;`;
#        if [ "$affairStatus" == "0" ]; then
#            echo `date` " AffairDataProcess stuck-no box plots created in 10 minutes.monitor set is  $monset.  Kill and restart ";
#            ${AFFAIR_MONITOR}/support/killProcess.pl AffairDataProcess $monset RRD_GLOBAL BOX $1;
#            ${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s BOX -p all $verboseOption  &
#        fi;	
#    fi;

    affairStatus=`ps -weo command | grep AffairDataProcess | grep -v grep | grep -ce '-m '$monset' -r RRD_GLOBAL -s ALL_PLOT_TYPES -p all'`;
    echo " status = " $affairStatus "monset is " $monset;
    
    if [ "$affairStatus" == "0" ]; then
	echo `date` " AffairDataProcess dead.monitor set is  $monset.  restart ";
	${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s ALL_PLOT_TYPES -p all $verboseOption  & 
    else
	affairStatus=`if [ -f ${AFFAIR_MONITOR}/log/${monset}_2 ]; then find ${AFFAIR_MONITOR}/log/${monset}_2  -amin -10 | wc -l; else echo 1; fi;`;
	if [ "$affairStatus" == "0" ]; then
	    echo `date` " AffairDataProcess stuck-no plots created in ten minutes.monitor set is  $monset.  Kill and restart ";
	    ${AFFAIR_MONITOR}/support/killProcess.pl AffairDataProcess $monset RRD_GLOBAL ALL_PLOT_TYPES $1;
	    ${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s ALL_PLOT_TYPES -p all $verboseOption  &
	fi;
    fi;

}

restartDataProcessor()
{
    echo `date`  "about to  restart data processor ";

    affairStatus=`ps -weo command | grep AffairDataProcess | grep -v grep | grep -ce '-m '$monset' -r RRD_GLOBAL -s ALL_PLOT_TYPES -p all'`;
    if [ "$affairStatus" == "0" ]; then
	echo `date` " AffairDataProcess dead.monitor set is  $monset.  restart ";
	${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s ALL_PLOT_TYPES -p all $verboseOption  & 
    else
	echo `date` " AffairDataProcess exists. monitor set is  $monset.  Kill and restart ";
	${AFFAIR_MONITOR}/support/killProcess.pl AffairDataProcess $monset RRD_GLOBAL ALL_PLOT_TYPES $1;
	${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s ALL_PLOT_TYPES -p all $verboseOption  &
    fi;

}


checkDataProcessor3Proc()
{
    affairStatus=`ps -weo command | grep AffairDataProcess | grep -v grep | grep -ce '-m '$monset' -r RRD_GLOBAL -s SUM -p all'`;
    if [ "$affairStatus" == "0" ]; then
	echo " AffairDataProcess dead. restart ";
	${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s SUM -p all $verboseOption & 
    fi;

    affairStatus=`ps -weo command | grep AffairDataProcess | grep -v grep | grep -ce '-m '$monset' -r RRD_GLOBAL -s SUPERIMPOSE -p all'`;
    if [ "$affairStatus" == "0" ]; then
	echo " AffairDataProcess dead. restart ";
	${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s SUPERIMPOSE -p all $verboseOption & 
    fi;

    affairStatus=`ps -weo command | grep AffairDataProcess | grep -v grep | grep -ce '-m '$monset' -r RRD_GLOBAL -s BOX -p all'`;
    if [ "$affairStatus" == "0" ]; then
	echo " AffairDataProcess dead. restart ";
	${AFFAIR_MONITOR}/src/root/AffairDataProcess -m $monset -r RRD_GLOBAL -s BOX -p all $verboseOption & 
    fi;
}


checkDns()
{
    affairStatus=`ps -weo command | grep -v grep | grep -c dns`;
    if [ "$affairStatus" == "0" ]; then
	echo " AffairDataProcess dead. restart ";
	${AFFAIR_MONITOR}/dim/linux/dns  & 
    fi;
}




checkNode()
{
    affairStatus=` ps -weo command | grep CollectorSYSMON | grep -v grep | grep -ce ' '$monset''`;
    if [ "$affairStatus" == "0" ]; then
	$AFFAIR/src/dim/CollectorSYSMON $monset $verboseOption &
    fi;
}


checkNodeMyCollector()
{
    affairStatus=` ps -weo command | grep MyCollector | grep -v grep | grep -ce ' '$monset''`;
    if [ "$affairStatus" == "0" ]; then
	$AFFAIR/src/dim/MyCollector -m $monset $verboseOption &
    fi;
}


parNum=$#;

if [ ! ${DIM_DNS_NODE} ]; then
    echo "Error! DIM_DNS_NODE not set! "
    echo "Error! DIM_DNS_NODE not set! "  >> $AFFAIR_MONITOR/log/error.log;
#    return;
fi;    

if [ ${AFFAIR_MONITOR} ]; then
    # make sure stray AFFAIR not declared...
    unset AFFAIR;
    source $AFFAIR_MONITOR/monitorPars.sh;
fi


if [ ${AFFAIR} ]; then
    source $AFFAIR/monitorPars.sh;
fi


if [ "$1" = "startMonitor" ]; then
    nodelistfile=$2;monset=$3;storageoption=$4;
    if [[ $parNum == 5  && "$5" = "verbose" ]]; then
	verboseOption="-V";
    fi
#    checkDns;
    checkMonitor;
fi


if [ "$1" = "restartMonitor" ]; then
    nodelistfile=$2;monset=$3;storageoption=$4;
    if [[ $parNum == 5  && "$5" = "verbose" ]]; then
	verboseOption="-V";
    fi
#    checkDns;
    restartMonitor;
fi

if [ "$1" = "startDataProcessor" ]; then
    monset=$2;
    if [[ $parNum == 3  && "$3" = "verbose" ]]; then
	verboseOption="-V";
    fi
    checkDataProcessor;
fi

if [ "$1" = "restartDataProcessor" ]; then
    monset=$2;
    if [[ $parNum == 3  && "$3" = "verbose" ]]; then
	verboseOption="-V";
    fi
    restartDataProcessor;
fi

if [ "$1" = "startNode" ]; then
    monset=$2;
    if [[ $parNum == 3  && "$3" = "verbose" ]]; then
	verboseOption="-V";
    fi
    checkNode;
fi



if [ "$1" = "startMyCollector" ]; then
    monset=$2;
    if [[ $parNum == 3  && "$3" = "verbose" ]]; then
	verboseOption="-V";
    fi
    checkNodeMyCollector;
fi

if [ "$1" = "dim" ]; then
    checkDns;
fi


if [ "$1" = "monitor" ]; then
    if [ ! ${AFFAIR_DNS_NODE} ]; then
	echo "Error! AFFAIR_DNS_NODE not set! "
	echo "Error! AFFAIR_DNS_NODE not set! "  >> $AFFAIR_MONITOR/log/error.log;
	return;
    fi;
#    verboseOption="-V";
    
    export DimDirNew=$DIM_DNS_NODE;
    export DIM_DNS_NODE=$AFFAIR_DNS_NODE;

    nodelistfile=${AFFAIR_MONITOR}/config/computerlist.conf;storageoption=1;

    monset=DATEMON;
    checkMonitor;
    checkDataProcessor;

    export DIM_DNS_NODE=$DimDirNew;

    monset=LDC;
    checkMonitor;
    checkDataProcessor;


    monset=GDC;
    checkMonitor;
    checkDataProcessor;
    
elif [ "$1" = "monitor_nopermstore" ]; then


    if [ ! ${AFFAIR_DNS_NODE} ]; then
	echo "Error! AFFAIR_DNS_NODE not set! "
	echo "Error! AFFAIR_DNS_NODE not set! "  >> $AFFAIR_MONITOR/log/error.log;
	return;
    fi;
    
    export DimDirNew=$DIM_DNS_NODE;
    export DIM_DNS_NODE=$AFFAIR_DNS_NODE;

    nodelistfile=${AFFAIR_MONITOR}/config/computerlist.conf;storageoption=0;

    monset=DATEMON;
    checkMonitor;
    checkDataProcessor;

    export DIM_DNS_NODE=$DimDirNew;

    monset=LDC;
    checkMonitor;
    checkDataProcessor;


    monset=GDC;
    checkMonitor;
    checkDataProcessor;

elif [ "$1" = "monitor_noweb" ]; then

    if [ ! ${AFFAIR_DNS_NODE} ]; then
	echo "Error! AFFAIR_DNS_NODE not set! "
#	echo "Error! AFFAIR_DNS_NODE not set! "  >> $AFFAIR_MONITOR/log/error.log;
	return;
    fi;
    
    export DimDirNew=$DIM_DNS_NODE;
    export DIM_DNS_NODE=$AFFAIR_DNS_NODE;

    nodelistfile=${AFFAIR_MONITOR}/config/computerlist.conf;storageoption=1;

    monset=DATEMON;
    checkMonitor;

    export DIM_DNS_NODE=$DimDirNew;

    monset=LDC;
    checkMonitor;


    monset=GDC;
    checkMonitor;


elif [ "$1" = "monitor_noweb_nopermstore" ]; then

    if [ ! ${AFFAIR_DNS_NODE} ]; then
	echo "Error! AFFAIR_DNS_NODE not set! "
#	echo "Error! AFFAIR_DNS_NODE not set! "  >> $AFFAIR_MONITOR/log/error.log;
	return;
    fi;
    
    export DimDirNew=$DIM_DNS_NODE;
    export DIM_DNS_NODE=$AFFAIR_DNS_NODE;

    nodelistfile=${AFFAIR_MONITOR}/config/computerlist.conf;storageoption=0;

    monset=DATEMON;
    checkMonitor;

    export DIM_DNS_NODE=$DimDirNew;

    monset=LDC;
    checkMonitor;


    monset=GDC;
    checkMonitor;


elif [ "$1" = "sysmon" ]; then
    monset=SYSMON;storageoption;
    affairStatus=` ps -weo command | grep CollectorSYSMON | grep -cv grep`;
    if [ "$affairStatus" != "0" ]; then
	echo "Affair  system monitoring process exists.do nothing ";
    else
	echo " Affair  system monitoring process  dead.restart ";
	$AFFAIR/src/dim/CollectorSYSMON SYSMON;
    fi;


elif [ "$1" = "monitor_sysmon" ]; then
    nodelistfile=${AFFAIR_MONITOR}/config/sysmonlist.conf;monset=SYSMON;storageoption=1;
    if [[ $parNum == 2  && "$2" = "verbose" ]]; then
	verboseOption="-V";
    fi

    checkDns;checkMonitor;checkDataProcessor;
elif [ "$1" = "monitor_sysmon_nopermstore" ]; then
    nodelistfile=${AFFAIR_MONITOR}/config/sysmonlist.conf;monset=SYSMON;storageoption=0;
    if [[ $parNum == 2  && "$2" = "verbose" ]]; then
	verboseOption="-V";
    fi
    checkDns;checkMonitor;checkDataProcessor;
elif [ "$1" = "monitor_sysmon_noweb" ]; then
    nodelistfile=${AFFAIR_MONITOR}/config/sysmonlist.conf;monset=SYSMON;storageoption=1;
    if [[ $parNum == 2  && "$2" = "verbose" ]]; then
	verboseOption="-V";
    fi
    checkDns;checkMonitor;
elif [ "$1" = "monitor_sysmon_noweb_nopermstore" ]; then
    nodelistfile=${AFFAIR_MONITOR}/config/sysmonlist.conf;monset=SYSMON;storageoption=0;
    if [[ $parNum == 2  && "$2" = "verbose" ]]; then
	verboseOption="-V";
    fi
    checkDns;checkMonitor;
#else 
#    echo " wrong option. ";
fi

