#!/bin/bash

count=0;
for node in $(cat $1); do
    count=$(($count+1));
    if [  $2 = "copyAndUntar" ]; then
	scp $4 $node:~/; 
	ssh -t -t $node <<EOF
    if [ ! -d $3 ]; then
    mkdir $3
    fi
    cd $3
    mv ~/$4 .
    pwd
    tar xvzf $4
    exit
EOF
    fi
    if [  $2 = "copyAndUntarAndInstall" ]; then
	scp $4 $node:~/; 
	ssh -t -t $node <<EOF
    if [ ! -d $3 ]; then
    mkdir $3
    fi
    cd $3
    mv ~/$4 .
    pwd
    tar xvzf $4
    export AFFAIR=$3
    make
    exit
EOF
    fi
    if [  $2 = "install" ]; then
    echo " YES!!!!!";
	ssh -t -t  $node <<EOF 
    export AFFAIR=$3
    cd $3
    pwd
    make
    exit
EOF
    fi
    if [  $2 = "run" ]; then
	ssh -t -t $node <<EOF 
    export AFFAIR=$3
    cd $3
    pwd
    export DIM_DNS_NODE=$4
    source startProcess.sh sysmon
    exit
EOF
    fi
    if [  $2 = "stop" ]; then
	ssh -t -t $node <<EOF 
    cd $3
    ./support/killProcess.pl Collector
    exit
EOF
    fi
done
