#!/usr/bin/perl -w

#use strict;
open(PARSED,">$ARGV[0]") || die " cannot open $ARGV[0] \n";

$argCount = @ARGV;
$rrdCommand = " ";

for ($i = 1; $i < $argCount; $i++ ) {
    $rrdCommand = $rrdCommand." ".$ARGV[$i]." ";
}

foreach $_ (`$rrdCommand`)
{
    chomp;               # No newline
    if ( $_ =~ /:/) {
	# first check if any value at all for this time
	# if none entered then ignore
	# otherwise, if some variable has nan, but others don't replaced nan
	# with 0. This occurs when add a new data source to rrd, and then
	# new data source has all nan till then. This confuses the plotters, so give 
	# tthem a 0 value
	# 11 is size of timestamp plus :
	$tmp = $_;
	$tmp =~ s/nan//g;
	$tmp =~ s/ //g;
	if ( length($tmp) > 11 ) {
	    print PARSED $_;
	    print PARSED "\n";
	}
    }
}


