#!/bin/bash
source /etc/profile;
 source /home/alicedaq/.bashrc
# export PATH=$PATH:$ROOTSYS/bin
# export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ROOTSYS/lib

export AFFAIR_MONITOR=$PWD/../..;
export AFFAIR=$AFFAIR_MONITOR;
source $AFFAIR_MONITOR/monitorPars.sh;
cd     $AFFAIR_MONITOR/src/root;

if [ ! ${ROOTSYS} ]; then
 echo "<br> <br> <br> <b> <font size=3> Warning! ROOTSYS not defined from the apache web.<br>
 Inform the administrator to either define ROOTSYS, the PATH, and LD_LIBRARY_PATH for ROOT <br>
 in /etc/profile, or insert in $AFFAIR_MONITOR/web/doOneComputer.sh script <br>
 Will not be able to generate plots  </font> </b> <br> <br> <br>";
fi
##
#    $(mv ../../plots/${14}/${14}.root ../../plots/${14}/${14}.root.old >& /dev/null  );


if [ "$6" = "summary" ]; then
#    echo AffairDataProcess -m ${1} -r ANA_GLOBAL -b ${2} -e ${3} -u ${4}  -n ${5}   >> /tmp/offline_command.log ;
    # clean summary png files
    $(rm  $AFFAIR_MONITOR/plots/${4}/*.gif) >> /dev/null;
#    $(./AffairDataProcess -m ${1} -r ANA_GLOBAL -b ${2} -e ${3} -u ${4}  -n ${5} -V  >& /dev/null  );
    $(./AffairDataProcess -m ${1} -r ANA_GLOBAL -b ${2} -e ${3} -u ${4}  -n ${5} -V  >& /tmp/offline_output.log );
fi

if [ "$6" != "NoneNode" ]; then
if [ "$6" != "summary" ]; then
    $(rm  $AFFAIR_MONITOR/plots/${4}/${6}/*.gif) >> /dev/null;
    $(./AffairDataProcess -m ${1} -r ANA_ONE_COMPUTER -b ${2} -e ${3} -u ${4}  -n ${5} -c ${6} -V >& /dev/null  );
fi
fi
